Control Box 2 Documentation

Thank you for purchasing our Control Box 2 (CB-2) product.

Control Box 2

This HTML Help file provides the documentation for the Control Box 2 product.

The first part of this document provides information about the functionality of the Control Box 2 product.

The second part of this document provides information about Dialog Manager, the package used to develop CB-2 Utility, the driver program of the Control Box 2 product.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Introduction

The Control Box 2 (CB-2) package is a combination of hardware and software that enables users of electronic Brother KH970 knitting machines to replace the CB1 box for the knitting of patterns stored on their computer. The CB-2 has the inbuilt patterns of the KH970, KH965, KH940/KH930, KH900 and KH270 inbuilt.

The CB-2 box pictured below is the hardware of the Control Box 2 package.

CB-2
CB-2

The CB-2 box is hooked up to your computer via the USB interface and hooked up to the needle bed of the Brother KH970 knitting machine using the cable that comes out of the needle bed. Only the KH970 needle bed is supported by the CB-2 package. The FB-Connector can be used to hook up an FB100 floppy drive. You can also hook up a PPD to the FB connector. All pattern cartridges are supported except the Design System Cartridge (CK35).

CB-2 Utility is the software that drives the CB-2 box.

CB-2 Utility has two main functions: download a pattern to the CB-2 box (after applying your variations) and knit the downloaded pattern. CB-2 Utility will show on screen the progress of your knitting, the position of the carriage, pattern row counter, adjustable row counter, etc...
CB-2 Utility can download 20 pattern formats to the CB-2 box.

The CB-2 package replaces the CB-1 electronics.

Last Modification: Apr 4, 2018 © 2002,2018 Computerservice SSHS BV.


CB-2 Utility

CB-2 Utility is the driver program for the Control Box 2 (CB-2).

CB-2 Utility has three main functions:
  1. Browse patterns and show a picture of the selected pattern
  2. Download a pattern to the CB-2 box
  3. Knit the pattern transferred to the CB-2 box
CB-2 Utility also has a position and variation program

Last Modification: Aug 15, 2018 © 2002,2018 Computerservice SSHS BV.


Functions

Functions available on main screen

  • Browse patterns
  • Name of pattern
  • Drag and drop of pattern (in Pattern field)
  • Pattern Thumbnail
  • Full pattern view
  • Indication of Rows, Stitches and Knit Method
  • Carriage selection
  • On line help
  • Name of pattern in CB-2 Box
  • Information about CB-2 Box
  • Print pattern
  • Start Download
  • Start Knit

Functions available during download

    Pattern variations
  • Normal
  • Double Rows
  • Double Stitches
  • Upside down
  • Reversed
  • Pattern + Space
  • Negative
  • Exchange
  • Odd stitch left
  • Mirror Horizontal
  • Mirror Vertical
  • Chevron
  • Reflection
  • Birdseye left
  • Birdseye right
  • Center
  • Repeat
  • Wrap
  • Carriage starts left
  • End Needle selection
  • Jacquard Skip Stitch main bed only
  • Jacquard Skip Stitch with ribber
  • Jacquard Fairisle Rib
  • Jacquard main bed only
  • Jacquard with ribber
  • Simple Lace
  • Fashion Lace
  • Normal Lace
  • Fine Lace
  • Multiline Lace
  • Superimposed Lace
  • Set Width
  • Positioning
  • Select portion of pattern

Functions available during knitting

  • Continuous knit
  • Select row to start by mouse click
  • Show contrast color
  • Row counter
  • Pattern row counter
  • Rows & Stitches indication
  • Stop screen option (pattern row counter doesn't increment)
  • Carriage position indication

Functions available in programming

  • "Unlimited" number of program steps (Actions)
  • Every Action can have its own source pattern
  • Variations are per Action, not per program
  • Source can be any portion of the source pattern
  • Destination can be any row,stitch of the target pattern
  • "Unlimited" number of rows in target pattern
  • Default pattern loaded directly into CB-2 Utility
  • Load and save pattern programs
  • Preview function with support for lace patterns

Last Modification: Aug 15, 2018 © 2002,2018 Computerservice SSHS BV.


Starting CB-2 Utility

The CB-2 box is controlled by CB-2 Utility.

Follow these steps to start CB-2 Utility:
1. Press Start
2. Press Programs
3. Press CB-2
4. Press CB-2 Utility
5. The configuration dialog of CB-2 Utility will be displayed

Figure 1

Alternatively you can double click the CB-2 Utility shortcut on the desktop.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Configuration

When CB-2 Utility starts, you first have to set the com port to which the CB-2 box is connected. You do this by clicking one of the com ports from the list. Select the com port marked CB-2 A. CB-2 Utility remembers the port you used last time. You may have multiple CB-2 units hooked up or one of your other USB products. CB-2 Utility will list the names of these devices when available.

In case the CB-2 box is not connected to the com port specified, or the CB-2 box is not powered on, you will see the message below.

You can press the Refresh button to refresh the list of available com ports. This is particularly useful when you forgot to turn on the CB-2 box.

You can show this help file by pressing the Help button.

Check the Show Print Dialog tick box when you want to have a choice of printer when printing. When the Show Print Dialog is not checked, printing will occur to the default printer.

You can modify the color palette used by CB-2 Utility for patterns that do not have color information by pressing the Palette button .

Check the Tool Tips tick box when you want CB-2 Utility to display tool tips.

You close the CB-2 Utility application by pressing the Close button or the cross in the top right corner of the dialog box.

If you press OK, the next dialog will be the Control Box 2 dialog.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Menu

On the Menu Bar you will find two items: the File Menu and the Help Menu.

File Menu |
Exit | to exit CB-2 Utility
Help Menu |
Contents | to display the main help topics
Language | to set the language
About CB-2 ... | to provide information about CB-2 Utility

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Language

You can change the language used on the dialogs by picking one of the languages below.

Press OK to apply the selected language or press Cancel to retain the current setting.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Palette

Most stitch file formats contain color information (PAT, STP, BMP, STC, etc). Some stitch file formats do not contain color information (DAT, TXT). To show patterns without color information, CB-2 Utility uses a predefined color palette. This palette contains 16 colors.

After pressing the Palette button on the Configuration dialog, you will see the Color dialog above. The Color dialog is a standard Windows dialog. The appearance may vary between the versions of Windows. The 16 colors used by CB-2 Utility are in the Custom colors area. You can modify these colors.

To modify a color:
1. Click on the color in the Custom colors section
2. The color information is displayed in the right hand side of the Color dialog
3. Make your modification to the color
4. Press the Add to Custom Colors button
5. Your modified color will be displayed in the Custom colors section

You can repeat steps 1 thru 5 as often as you want.

To save the changes you made, press the OK button.
To leave the palette unchanged, press the Cancel button.
If you press the Cancel button, the changes you made are discarded.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Control Box 2

You will see the Control Box 2 dialog below if you pressed OK on the configuration dialog.

The Control Box 2 dialog has a menu, a number of fields and a number of buttons.

The fields have the following functions:
Field | Function
Pattern | The pattern that will be downloaded to the CB-2 box when you press the Download button. You can populate the pattern field by pressing the ... button and selecting a pattern on the browse dialog or you can Drop a pattern in the field using Drag and Drop facilities provided by Windows Explorer, Pattern Explorer or an other Drag and Drop application.
The picture | Show a picture of the pattern in the Pattern field
Stitches | The number of stitches in the pattern
Rows | The number of rows in the pattern
Method The knitting method. The value of this field is equivalent to the DesignaKnit knitting method.
Values can be:
Value | Meaning
0 | Fairisle
1 | Intarsia
2 | 2 color Jacquard
3 | 3 color Jacquard
4 | 4 color Jacquard
5 | 5 color Jacquard
6 | 6 color Jacquard
12 | Hand knit
14 | Right side facing
15 | Wrong side facing
CB-2 Utility supports method 0, 2, and 3. Method 14 and 15 are treated as if they were method 0.
Method 0 and 2 are essentially the same. CB-2 Utility allows you to knit a method 0 pattern as 2 color Jacquard and a 2 color Jacquard as Fairisle.
Carriage | The carriage to be used to knit the pattern
CB-2 Pattern | Pattern currently loaded in the CB-2 box. This is not necessarily the same as the Pattern field. When you want to knit the pattern in the pattern field, press Download to transfer the pattern to the CB-2 box. When you press the OK button after transfer is completed, the name in the Pattern field and the name in the CB-2 Pattern field will be the same.
Status area | Area to display status, progress and error information

The buttons have the following functions:
Button | Function
... | Browse your computer for a pattern to download
Help | Start the online help library
K | Use the K carriage for knitting
L | Use the L carriage for knitting
G | Use the G carriage for knitting
Full | Show full picture of pattern in your internet browser
Info | Obtain technical information from the CB-2 box
Print | Make a screen print of the Control Box 2 dialog
Download | Download the pattern in the Pattern field to the CB-2 Box
Knit | Knit the pattern loaded in the CB-2 box
Close | Exit from CB-2 Utility

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Menu

On the Menu Bar you will find two items: the File Menu and the Help Menu.

File Menu |
&Open... | to load a pettern file
Exit | to exit CB-2 Utility
Help Menu |
Contents | to display the main help topics
Configuration | to set the com port and language
About CB-2 Utility... | to provide information about CB-2 Utility

Last Modification: Dec 7, 2024 © 2002,2024 Computerservice SSHS BV.


Browsing

Various alternatives are available to browse your computer for patterns. CB-2 Utility has multiple interfaces to accept patterns from:
  • Browse function on the Control Box 2 dialog
  • Open With function of Explorer programs like Pattern Explorer, Windows Explorer,...
  • Drag and Drop of drag capable Explorer programs like Pattern Explorer, Windows Explorer,...

Click on one of the links above for more information.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Browse

The Browse (...) button on the Control Box 2 dialog gives access to the various browsing facilities of CB-2 utility.

The Browse... function on the Browse menu enables you to browse your computer for the knitting pattern you want to knit.

The KH970, KH965, KH940, KH270, KH900 and KH910 functions enable you to browse the patterns of the respective machines. You can preview and select the pattern you want to knit. These patterns are inbuilt into the CB-2.

The FB100 function enables you to access an FB100, browse the designs and load a design.

The PPD function enables you to access a Pattern Program Device (PPD), browse the designs on the cartridge and load a design.

The Img2Track function enables you to load the stitch pattern resulting from the image loaded in Img2track.

The DesignaKnit function enables you to load the design you have open in the Stitch Designer module of DesignaKnit.

The KRC1100M function enables you to browse the patterns that come with the KRC1100M. You can preview and select the pattern you want to knit. These patterns are inbuilt into the CB-2.

The SWX function enables you to browse the patterns from the Stitch World Extra's collection. You can browse the designs and load a design like you do with FB100 designs.

Last Modification: Nov 19, 2024 © 2002,2024 Computerservice SSHS BV.


Browse Computer

You can browse your computer for one or more patterns. After pressing the ... button on the browse menu, you will see the dialog below.

The dialog above is a standard Windows file open dialog. Please consult your Windows documentation for full user instructions.

You see on the left hand side a number of shortcuts to places on your computer where you may have stored patterns. On the top (Look in) you see the location where you are currently looking for patterns. Use the arrow next to the field to select an other location or alternatively use the up one level button. Use the Create New Folder button to create a new folder in the current location. Use the View Menu to change the representation of the contents of the Files box. The File name field contains the filter applied to the files on the folder. Use the arrow to drop down the list of files you opened earlier. The files of type field shows the currently applied filter. Use the arrow to change the filter.

You select a file form the displayed list by clicking on it. The file will become blue and you can press Open to select the file as the Pattern file. Press Cancel if you want to stop the selection process.

CB-2 Utility will support the following file types:
Extension | Description
PAT | DesignaKnit pattern file
BPT | Brother PaTtern file
BMP | Windows BitMaP file
CST | CompuStrick pattern file
CUT | Passap Creation pattern file
PCX | System 90 INTO SHAPE pattern file
STC | Stitch Painter pattern file
SBR | Stitch Painter brush file
DAT | Silver Reed PC10 pattern file
STP | DesignaKnit pattern file
TXT | Text document
NIT | KnitPad pattern file
PBM | Portable Bit Map file
PGM | Portable Gray Map file
PPM | Portable Pixel Map file
KSW | Knitt Styler pattern file
KSL | Knitt Styler library pattern file
QPA | DesignaKnit bitmap file
MT | Singer 9000 pattern file
MTF | System 90 INTO SHAPE pattern file
PNG | Portable Network Graphics file

Last Modification: Nov 17, 2024 © 2002,2024 Computerservice SSHS BV.


Browse Knitting Machine

All inbuilt patterns of the KH970, KH965, KH940/KH930, KH900, KH910 and KH270 are inbuilt in the CB-2. When you select one of the knitting machines on the Browse menu, you will see the dialog below.

The Pattern Number field contains the pattern number you want to select. You can find pattern numbers in the Pattern manuals for the respective machines.

The Repeats field shows the number of repetitions you want to use before applying variations.

In the middle of the dialog you see a picture of the selected pattern. This picture will be the word CB-2 with a red cross when no pattern number is entered.

The < and > buttons allow you to browse the patterns of the selected machine. The Pattern Number field is the currently previewed pattern. The < will decrement the Pattern Number if possible; the > button will increment the Pattern Number if possible.

Press the Preview button to show the pattern as indicated by the Pattern Number number field.

Select the pattern for knitting by pressing the Select button.

Use the Close button if you couldn't find the pattern you were after.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Browse FB100

You can browse patterns on a (virtual) FB100 diskette. Hook up your FB100 drive or a BL1USB or BL5USB + FB100 Emulator to the FB Connector on the CB-2 box. Insert a floppy in the FB100 drive or load a virtual floppy in FB100 Emulator.
After pressing the ... button on the Control Box 2 dialog, you will see the menu below.

Press the FB100 button to start browsing the (virtual) floppy.
You will see the FB100 Progress window while CB-2 Utility is reading the (virtual) floppy to determine the type of the floppy and after that the tracks with designs on the floppy. The FB100 Progress window will look like this one.

The FB100 Progress window has a number of fields and 2 buttons:
Sector : the sector being read or the last sector read.
of : the highest sector to be read.
Progress bar : reports the progress of the reading.
Status : shows messages about the reading process; errors are also reported in the Status field.
OK : button to confirm that the selected pattern is the one you want to use.
Cancel : button to abort the access to the (virtual) FB100 diskette.

After CB-2 Utility has worked out the tracks with designs, you will see the Select Track dialog.

The Machine field shows what type of machine the (virtual) FB100 diskette is made for.
The track list shows tracks on the (virtual) FB100 diskette that contain patterns. Empty tracks are not in this list.
Select the track you want to browse and press the OK button to start reading the selected track. In case there is only one track containing patterns, this track is preselected so you can press the OK button immediately.
Press Cancel to return to the Browse menu.

After you press the OK button, you are returned to the Progress window where you can monitor the reading of the track.

After CB-2 has read the entire track, you will see:

or

You get the left hand dialog in case design 901 is on the selected track. You get the right hand dialog in case design 901 is not on the selected track. The first design on a track is not necessarily design 901. It is also possible that not all consecutive design numbers are used. A track can have for example design 903 and 901 in that order. CB-2 Utility doesn't try to sort the designs by design number.

The Select Pattern dialog has 3 fields, 5 buttons and a variable title.
The title shows for which machine the (virtual) FB100 diskette was created.
Pattern Number : the number of the pattern you want to access; values for virtual diskettes between 901 and 999.
Repeats : the number of times you want the pattern horizontally repeated.
Bitmap : a graphical representation of the pattern indicated by Pattern Number.
< : show previous pattern like if 905 is displayed, show 904.
> : show next pattern like if 904 is displayed, show 905.
Preview : show the pattern indicated by Pattern Number. You use Preview after you manually enter Pattern Number.
Select : select the pattern indicated by Pattern Number. The pattern will be used by the main dialog.
Close : leave this dialog without selecting a pattern. You will be returned to the Browse menu

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Browse PPD

The Control Box 2 supports transfer of designs from a Pattern Programming Device (PPD) to the CB-2. The PPD can behave as an FB100. This feature is called FB100 Emulation mode. Most PPD cartridges support FB100 Emulation. See the PPD documentation (PPD100 page 45, PPD110 page 62 and PPD120 page 59).
You can browse patterns on a cartridge that supports FB100 Emulation.
Using the transfer from PPD, you can upload your designs from a cartridge into the CB-2. This is particularly interesting where your cartridge has rather unique functionality like the Lace Cartridge that supports superimposed lace or the Extra's Cartridge.
Note: cartridges written by the CB-1 can only be accessed by the CB-1.

Below you find the list of cartridges and whether they support FB100 Emulation.

Cartridge | FB100 Emulation | Modes
Stitch Pattern Cartridge |  | KH930 KH930M
Stitch Pattern Cartridge II |  | KH940 KH930
Stitch Pattern Cartridge III |  | KH940/KH950i,KH270 KH930 KG930M KH900 KH965
Multi Color Cartridge |  | KH940/KH270 KH930 KH900 KH965i
Blank Cartridge |  |
Stitch Pattern Cartridge Extra's |  | KH930M
Lace Cartridge |  | KH940/KH950i KH930 KH900 KH965
Design System Cartridge |  | CK35

1. Switch off the power of the pattern programming device and the TV set.
2. Switch off the power of the Control Box 2.
Connect CB-2 with PPD
3. Connect the FB connector of the CB-2 to the KH/ACC connector of the pattern programming device with the interface cable.
4. Connect the pattern programming device to the main supply using the AC adapter.
5. Insert the pattern cartridge in the cartridge slot of the pattern programming device.
6. Switch on the power of the pattern programming device.
7. Switch on the power of the CB-2.
8. Do not operate the pattern programming device except extras where you need to enter the page number followed by Step.
Now you can browse the patterns on the pattern cartridge.

After pressing the ... button on the Control Box 2 dialog, you will see the menu below.

Press the PPD button to start browsing the cartridge.
You will see the PPD Progress window while CB-2 Utility is reading the cartridge to determine the type of the cartridge and after that the pages with designs on the cartridge. The PPD Progress window will look like this one.

The PPD Progress window has a number of fields and 2 buttons:
Sector : the sector being read or the last sector read.
of : the highest sector to be read.
Progress bar : reports the progress of the reading.
Status : shows messages about the reading process; errors are also reported in the Status field.
OK : button to confirm that the selected pattern is the one you want to use.
Cancel : button to abort the access to the cartridge.

After CB-2 Utility has worked out the tracks/pages with designs, you will see the Select Track dialog.

The Machine field shows what type of machine the cartridge is made for.
The track list shows tracks/pages on the cartridge that contain patterns. Empty tracks/pages are not in this list.
Select the track/page you want to browse and press the OK button to start reading the selected track/page. In case there is only one track/page containing patterns, this track is preselected so you can press the OK button immediately.
Press Cancel to return to the Browse menu.

After you press the OK button, you are returned to the Progress window where you can monitor the reading of the track.

After CB-2 has read the entire track/page, you will see:

or

You get the left hand dialog in case design 901 is on the selected track. You get the right hand dialog in case design 901 is not on the selected track. The first design on a track is not necessarily design 901. It is also possible that not all consecutive design numbers are used. A track can have for example design 903 and 901 in that order. CB-2 Utility doesn't try to sort the designs by design number.

The Select Pattern dialog has 3 fields, 5 buttons and a variable title.
The title shows for which machine the cartridge was created.
Pattern Number : the number of the pattern you want to access; values for virtual diskettes between 901 and 999.
Repeats : the number of times you want the pattern horizontally repeated.
Bitmap : a graphical representation of the pattern indicated by Pattern Number.
< : show previous pattern like if 905 is displayed, show 904.
> : show next pattern like if 904 is displayed, show 905.
Preview : show the pattern indicated by Pattern Number. You use Preview after you manually enter Pattern Number.
Select : select the pattern indicated by Pattern Number. The pattern will be used by the main dialog.
Close : leave this dialog without selecting a pattern. You will be returned to the Browse menu

Last Modification: May 3, 2020 © 2002,2020 Computerservice SSHS BV.


Browse Img2Track

Img2Track presents the selected image to the KH970 knitting machine as patterns 901 on a KH940 formatted diskette.
Hook up the cable you use to transfer patterns to the FB connector on the CB-2 box. Make sure the transfer cable is the only serial port available on your computer because Img2Track may pick one of the other ports for transfer. Start Img2Track and check the preferences are as shown in the picture below.

Img2Track Preferences

Check that model KH970 is selected and tick "Show debug messages" if not already ticked. The number of debug messages is limited. The com port used is displayed as part of the debug messages.
Select the image you want to knit and the Img2Track window will look like the screen shot below.

Img2Track Image Selected

Now go to CB-2 Utility and press the ... button on the Control Box 2 dialog. You will see the menu below.

Press the Img2Track button and the download process starts. You can monitor the download process on the Img2Track Progress Window.

Once the download is completed (no further user intervention required), you will see the Select Pattern dialog with the transferred pattern already displayed.

Press Select to make the pattern your current pattern.

Last Modification: Aug 8, 2017 © 2002,2017 Computerservice SSHS BV.


Browse DesignaKnit

If your CB-2 box has the DesignaKnit option, you can load a pattern from DesignaKnit. You can find the com port to be used by DesignaKnit in the Configuration dialog.

You need to pick the com port that is associated with CB-2 C. In the dialog above you can see that the port CB-2 C is remapped to Com7. This is to accommodate DesignaKnit 7. DK7 don't support com ports above 9.
Make sure the CB-2 A port is selected and press OK to continue CB-2 Utility.
Once you configured DesignaKnit, you can download a pattern. In DesignaKnit start Transfer, Download, select KH970, press OK and Download. You will see the window below.

Next you press the ... button on the Control Box 2 dialog, you will see the menu below.

Press the DesignaKnit button and the download process starts. You can monitor the download process on the DesignaKnit Progress window.

Once the download is completed (no further user intervention required), you will see the Select Pattern dialog with the transferred pattern already displayed.

Press Select to make the pattern your current pattern.

After you press the DesignaKnit button on the Browse menu, you may get the message:

Reasons for the unlikely event that you get the Timedout message above in the status field of the Progress window are:
1. DesignaKnit was not in download mode (displays Pattern transfer window) when you pressed the DesignaKnit button.
2. The port you configured in DesignaKnit is not the C port of the CB-2

Last Modification: Jan 26, 2018 © 2002,2018 Computerservice SSHS BV.


Browse KRC1100M

Browsing the patterns of the KRC1100M works the same wa as browsing the patterns of a knitting machine.

Please see the Browse Machine topic.

You can find the pattern numbers in the document titled "Colour sheet for manual 6 colour changer cards". This document can be downloaded from the CB-2 download area

Last Modification: Nov 17, 2024 © 2002,2024 Computerservice SSHS BV.


Browse SWX

Browsing the patterns of the "Stitch World Extra's" (SWX) collection works the same way as browsing the patterns of an FB100.

Please see the Browse FB100 topic.

You can find the pattern numbers in the document titled "STITCH WORLD EXTRA'S". This document can be downloaded here

Last Modification: Dec 8, 2024 © 2002,2024 Computerservice SSHS BV.


Drag & Drop

Multiple alternatives are available to browse your computer for patterns. Patter Explorer is one of them. Once you found the pattern you want to knit, you have multiple options to get the pattern to CB-2 Utility. Drag and Drop is one of the options.

When using Drag and Drop, you need to make sure that both the program to drag from (Pattern Explorer in the example below) and the drop target (CB-2 Utility) are visible at the same time. Actually only the Pattern field of CB-2 Utility has to be visible.
You click with the left mouse button on the design you want to use, hold down the left mouse button and start moving the mouse in the direction of the Pattern field. You see a shadow of the pattern moving with the mouse.

When the mouse arrives above the Control Box 2 dialog, the mouse cursor looks like a stop sign (which means you cannot drop). However, when you move the mouse above the sunken Pattern field box, the mouse cursor changes in a drop cursor.

Release the left mouse button and the pattern will be dropped in the Pattern field.
As you can drop any file in the Pattern field, you may drop a file that is not supported by CB-2 Utility. You will get an error message and you will see:

The filename you dropped is kept in the Pattern field for your reference. Note that you can still knit the pattern in the CB-2 Box.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Open With

You can open a pattern with CB-2 Utility by right clicking on the pattern. A drop down menu shows up that contains Open With and an arrow or Open With ... The difference between the two is that the extension had already file associations or didn't have file associations yet. In the example below, BMP files were already opened with CB-2 Utility before. Click on CB-2 Utility and CB-2 Utility will be started.

Once started you will see the Configuration dialog of CB-2 Utility. Press OK and the Control Box 2 dialog will show your pattern.

Please consult your Windows documentation for full information about Open With.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Full Picture

You can get a full picture of the currently selected pattern by pressing the Full button.

The Full button is normally covered by an icon showing a magnifier glass above a document.

Full picture functionality is particularly useful for lace patterns where only the middle part of the design can be shown because lace symbols require a minimum resolution to be visible. You can use this function for every pattern. Non lace patterns that are wider than 25 stitches or longer than 25 rows, will be scaled down to show as much of the pattern as possible. The Full picture shows all stitches in the same size as the lace stitches.

The full picture will be shown in your browser. As a result, you can print the pattern.

For your documentation: the title of the full picture page in your browser contains the filename of the pattern.
In Internet Explorer, you can set the header to "&w" which will print the filename on the top of the page. if you set the footer to "&d&bPage &p of &P", you get page numbering and the date on the bottom of the page(s). You find the settings for header and footer via File, Page setup... There are small variations over the way to set headers and footers.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Information

You can obtain technical information about the CB-2 box by pressing Info on the Control Box 2 dialog.

The Version group represents the firmware version of the CB-2 box.

The Production group shows the year and month of manufacturing, and the serial number of the CB-2 box.

The Memory group shows what type of memory and how many chips are installed in the CB-2 Box. The picture above shows 1 * 128K chip, which equates to over 2000 rows.

The Connection group shows the connection type (USB or RS232) and the com port (RS232) or virtual com port (USB) the CB-2 box is hooked up to.

Left of the Close button you may find the text DaK. If the text DaK is present, the CB-2 box has an inbuilt cable for communication with DesignaKnit and the CB-2 can work with DesignaKnit.

Press Close when done looking.

Last Modification: April 27, 2018 © 2002,2018 Computerservice SSHS BV.


Print

Some dialog offer the facility to create a screen print. This can be useful for example if you want to remember the options you applied to a pattern during download.

If you checked Show Print Dialog on the configuration dialog, you will be presented with a dialog like the one above. You can select the printer you want to send the screen print to and adapt the settings of the printer to your requirements.

Press the Print button to start the screen print.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Programming

The Programming feature of the CB-2 provides the functionality of the Pattern Positioning and the Pattern Variation functions of the CB-1. The limitations of the CB-1 (like 9 patterns) are no longer in place. Also the patterns don't have to be horizontally aligned. The paradigm of Programming is slightly different from the CB-1: you create a new design by specifying one or more Actions (positioning plus variations) to be performed on one or more patterns. The so created design can be knitted by the CB-2 software as one (large) pattern. For Pattern positioning on the CB-1 see page 24 of the KH970 manual. The pattern variations you can find on page 27 and further in the KH970 manual.

The functionality provided by the CB-2 is more extended than the functionality provided by the CB-1. You can include any (portion of) a source design and position it anywhere on the destination design, both motif patterning and all over patterning are supported similar to the CB-1.

You can specify variations per action. You can also change the order in which the variations are applied.

The Preview function is provided so you can visually inspect what you have programmed so far.

A major difference between the CB-2 and CB-1 implementation is that the needles are numbered 1 thru 200 in the CB-2 and yellow 100-1 and 1-100 green in the CB-1. Needle 1 in the CB-2 is yellow 100 in the CB-1 (L100); needle 100 in the CB-2 is yellow 1 in the CB-1 (L1); needle 101 in the CB-2 is green 1 in the CB-1 (R1) etc. The numbering from 1 thru 200 makes it easier to specify the First Needle Position (FNP). The FNP functionality in the CB-2 is identical to the FNP functionality in the CB-1. The automatic pattern position (R1) in all over patterning becomes 101 in the CB-2.

All patterns in Electroknit Pattern Cards Vol2 Lace Patterns can be programmed using Programming. Pattern 201 1-D can be programmed into a single program so reprogramming is no longer needed.

The difference between single motif on the CB-2 and the CB-1 is that the CB-1 centers the pattern where the default position of the CB-2 is row 1 stitch 1. In the CB-2 you can also position the resulting pattern before downloading.

In the CB-1 the order of the pattern positioning entries is fixed; in the CB-2 you can alter the order of the actions.

The default program is always available to you. The filename of the default program is Program.txt. The file resides in your folder. You can save the default program under a different name and reload the saved program later as the default program. Saved programs can be knitted without further action.

Last Modification: Aug 1, 2018 © 2002,2018 Computerservice SSHS BV.


Overview

The Progam function of CB-2 Utility is driven by the dialog below.

Program Overview

The Program dialog contains the sections:
  • Action list: the list of Actions that form the program.
  • Pattern: the pattern of the selected Action.
  • Variations: the variations to be applied to the pattern.
  • Destination: the rectangle where the pattern will go plus FNP.
  • Source: the rectangle that determines the (portion of the) pattern to be copied.
The links above point to topics that explain the individual sections.

What you see in the Action List are the Action(s) of the default program. The Pattern section, the Variations section, the Destination section and the Source section reflect the contents of the selected Action. On top of that you may enter your own values. Your own values become the values of the selected Action once you press the Update button in the Action List section.

The buttons perform the following functions:
Close: Close the dialog discarding any changes you made.
OK: save the contents of the Action List in the default program file on your computer.
Load: load a program you created earlier as the default program (default program file on your computer is not changed).
Save As: save the default program on your computer. You can specify the name.
Preview: show a graphical representation on how the program will look like.

Notes:
  • The number of Actions in the Action List is more than 9.
  • The letter g is lower than the other letters making the alignment better.
  • The heart is an STP file which can be intermixed with inbuilt patterns
  • The purpose of the selected line is to create a top and right border of 2 stitches.
  • The left and bottom border are created by not using rows 1 and 2 and stitches 1 and 2.
  • You find the program I_love_knitting.txt in the CB-2\txt folder

Last Modification: Aug 1, 2018 © 2002,2018 Computerservice SSHS BV.


Action List

The area inside the red rectangle is the Action List section.

Program Action List

The Action List table contains the Actions that form the program. An Action entry shows the Destination values, the Source values and the Pattern file name of the Action. When you click on an Action, its values will be copied to the corresponding fields on the dialog. Note: changes are not automatically saved.

The buttons perform the following functions:
  • Up: move the selected Action one up in the Action List.
  • Down: move the selected Action one down in the Action List
  • New: add a new Action at the end of the Action List
  • Duplicate: make a copy of the selected Action and add the Action at the end of the Action List
  • Update: update the selected Action with the corresponding values on the dialog.
  • Delete: delete the selected Action
  • Clear: delete all Actions.

Last Modification: Aug 1, 2018 © 2002,2018 Computerservice SSHS BV.


Pattern

The area inside the red rectangle is the Pattern section.

Program Pattern

The pattern section consists of a field that shows the filename of pattern of the selected Action. You can change the Filename field by typing a new filename or by pressing the ... button to browse for a new pattern. After you change the Filename field, press the Update button to save the filename in the selected Action in the Action List.

Last Modification: Aug 1, 2018 © 2002,2018 Computerservice SSHS BV.


Variations

The area inside the red rectangle is the Variations section.

Program Variations

The Variations List shows the list of variations and whether they are on or off. The Variations are applicable to the selected Action. This is different from the CB-1 where the variations are applicable for all positioning entries.

You can modify the selected Variation. Press Toggle to change the value of the selected Variation in the Variations List.

The Up and Down buttons move the selected Variation one up or down respectively.

When done changing Variations, press Update to copy the Variations to the selected Action.

Last Modification: Aug 15, 2018 © 2002,2018 Computerservice SSHS BV.


Destination

The area inside the red rectangle is the Destination section.

Program Destination

The Destination section consists of five fields:
Top: the topmost field. The Top field contains the topmost row of the Destination. The value of Top must be the same or higher as the value of Bottom. When no value is given for the Top field, its value will be calculated as the value of Bottom + the height of the Source.
Left: the leftmost field. The Left field contains the leftmost stitch of the Destination; values between 1 and 200. When no value is given for the Left field, its value will be 1.
Right: the rightmost field . The Right field contains the rightmost stitch of the Destination. The value of Right must be the same or higher as the value of Left. When no value is given for the Right field, its value will be calculated as the value of Left + the width of the Source. For all over patterning enter 1 in the Left field and 200 in the Right field.
Bottom: the field above the FNP field. The Bottom field contains the start row of the Destination. Values start at 1.. When no value is given for the Bottom field, its value will be 1.
FNP (First Needle Position): the FNP field contains the number of the needle where pattern repetitions start. The value of FNP must be between Left and Right. When no value is given for FNP, the value of FNP will be the value of Left assuming pattern positioning. In case of all over patterning, FNP will be calculated as per page 22 of the KH970 user manual (middle needle of pattern on needle 101).

When the size of the Destination is not the same as the size of the Source, truncation in both rows and stitches will be done. Also, repetition will be done if the Destination is larger than the Source, both vertical and horizontal.

Last Modification: Aug 1, 2018 © 2002,2018 Computerservice SSHS BV.


Source

The area inside the red rectangle is the Source section.

Program Source

The Source section consists of four fields:
Top: the topmost field. The Top field contains the topmost row of the Source. The value of Top must be the same or higher as the value of Bottom. When no value is given for the Top field, its value will be the number of rows of the Source.
Left: the leftmost field. The Left field contains the leftmost stitch of the Source. Values start at 1. When no value is given for the Left field, its value will be 1.
Right: the rightmost field . The Right field contains the rightmost stitch of the Source. The value of Right must be the same or higher as the value of Left. When no value is given for the Right field, its value will be the width of the Source.
Bottom: the lowest field. The Bottom field contains the start row of the Source. Values start at 1. When no value is given for the Bottom field, its value will be 1.

Last Modification: Aug 1, 2018 © 2002,2018 Computerservice SSHS BV.


Load

The Load function enables you to retrieve a previously saved Program as the default Program.

Program Load

The dialog above is a standard Windows file open dialog. Select the Program you want to load and press Open.

Last Modification: Aug 1, 2018 © 2002,2018 Computerservice SSHS BV.


Save As

The Save As function enables you to store the default Program on your computer for later retrieval..

Program Save As

The dialog above is a standard Windows save as dialog. Type in the Filename field the name you want to assign to your Program. Press Save to store the Program on your computer.

Last Modification: Aug 1, 2018 © 2002,2018 Computerservice SSHS BV.


Preview

The preview function shows how the Action List looks like if you were to save the Program right now.

Program Preview

Last Modification: Aug 1, 2018 © 2002,2018 Computerservice SSHS BV.


Examples

Variations
The Variations example shows all variations. The example also shows how to erase (part of) a design. A third topic is the creation of a border.

Squares
The squares example shows how to create a solid square and how to create a dotted square.
Two of the Squares examples have a border.

KH970 Manual
The KH970 manual page 21 onwards explains about Pattern Positioning. Page 21 sets the scene for subsequent pages. What is written for the CB-1 also applies to the CB-2. There is a small notation difference: on the CB-1 the needles are numbered yellow 100 thru 1 followed by green 1 thru 100; the CB_2 uses the value 1 thru 200 where 1 equates to yellow 100, 100 equates to yellow 1, 101 equates to green 1 and green 100 equates to 200, etc. The KH970 topic explains more about the program files you can find in the KH970 section. Not all program files are explained.

Step by Step pattern
The step by step examples guide you through selecting patterns, specifying source and destination and applying variations.
You can check whether you have done the steps right by looking at the programs in the Examples folder.

Lace
The lace example shows some of the features you can use in lace designs.

Last Modification: Aug 1, 2018 © 2002,2018 Computerservice SSHS BV.


Variations

Create a program that uses fishes.stp below. The small fish needs to be deleted from the pattern and the eight variations need to be added to the pattern.

fishes source pattern

The screenshot below shows the program created to achieve the above.

fishes program

Line 1 in the Action List includes the pattern fishes.stp in the program. The pattern is positioned at row 45 stitch 15.
Next we delete the small fish from the pattern. We do this by copying some blank space on top of the small fish. Unfortunately there is not a blank space big enough to cover the small fish. Line 2 and 3 copy blank space from the left bottom corner of fishes.stp on top of the small fish.
Line 4 adds the Double Width variation
Line 5 adds the Double Length variation
Line 6 adds the Reverse variation
Line 7 adds the Upside Down variation
Line 8 adds the Mirror Image variation
Line 9 adds the Negative variation
Line 10 adds the Rotation variation
Line 11 adds the Reflection variation
Note that the minimum values of Left and Bottom are both 3. This prepares a border of 2 stitches around the target design. The border can be completed by adding the pattern file fishes.stp once more; Destination Left 120, Bottom 214; Source Left 1, Right 1, Bottom 1, Top 1.

fishes the pattern

The program will result in the pattern above.

You may be asking yourself the question why the colors of fishes.stp and fishes.txt are different. The answer is: the palette for STP files is not the same as the palette for TXT files.

Last Modification: Mar 16, 2019 © 2002,2019 Computerservice SSHS BV.


KH970 manual

This topic enumerates the program files created to show how the positioning functionality of the CB-1 can be achieved in the CB-2 using similar programming than the CB-1.

pg22-1.TXT - all over patterning cherries (105)
pg22-2.TXT - all over patterning feet (99)
pg22-3.bmp - preview of pg22-2.TXT; note 14 stitches right of the middle, 13 stitches left
pg23-1.TXT - three cherries, one foot positioned
pg23-2.TXT - one cherry, one foot positioned
pg23-3.TXT - one cherry, one foot positioned; foot truncated
pg28-1.TXT - all over patterning cherries
pg28-2.TXT - all over patterning cherries reversed
pg28-3.TXT - one foot, one cherry positioned
pg28-4.TXT - one foot, one cherry positioned; both reversed
pg28-5.TXT - one foot, one cherry positioned; foot reversed
pg29-1.TXT - all over patterning cherries
pg29-2.TXT - all over patterning cherries; cherry mirrored
pg29-3.TXT - all over patterning cherries; FNP 5
pg29-4.TXT - all over patterning cherries; cherry mirrored, FNP 5
pg29-5.TXT - two cherries and three cherries positioned
pg29-6.TXT - one cherry and 1.5 cherry positioned; mirrored
pg29-7.TXT - three cherries, vertical repeat
pg29-8.TXT - three cherries, vertical repeat; upside down
pg29-9.TXT - three cherries; reflection
pg30-1.TXT - all over patterning cherries
pg30-2.TXT - three cherries double width
pg30-3.TXT - all over patterning cherries; FNP 86
pg30-4.TXT - all over patterning cherries; FNP 86, double width
pg30-5.TXT - two separate cherries positioned
pg30-6.TXT - two separate cherries positioned; double width
pg30-7.TXT - two cherries and one cherry positioned
pg30-8.TXT - two cherries and one cherry positioned; double height
pg31-1.TXT - one cherry
pg31-2.TXT - one cherry rotated
pg31-3.TXT - all over patterning cherries
pg31-4.TXT - all over patterning cherries; rotated
pg31-5.TXT - one foot one cherry positioned
pg31-6.TXT - one foot one cherry positioned; rotated
pg31-7.TXT - three cherries positioned
pg31-8.TXT - three cherries positioned; negative

Last Modification: Aug 1, 2018 © 2002,2018 Computerservice SSHS BV.


Squares

Solid Square

Create a solid square with a two stitch border.
The screen shot below shows the program to create a solid square with border.

solid square program

We use two designs for this task: KH970.519 which is a two stitch, single row design that contains one selecting and one not selecting stitch and KH970.524 which is a one stitch, two row design that contains one not selecting stitch and one selecting stitch.

Line 1 in the Action List creates the bottom horizontal part of the square. The source is the left stitch of 519 which is copied to needles 3 thru 7 in row 3. This creates a left border of 2 stitches and a bottom border of 2 stitches.
Line 2 in the Action List creates the left side of the square. The source is the top stitch of 524 which is copied to needle 3 in row 4 thru 6.
Line 3 in the Action List creates the top side of the square. The source is the left stitch of 519 which is copied to needles 3 thru 7 in row 7.
Line 4 in the Action List creates the right side of the square. The source is the top stitch of 524 which is copied to needle 7 in row 4 thru 6.
To create the border above and to the right of the design we need to put a not selecting stitch at the position max stitch + 2, max row + 2.
Line 5 in the Action List adds the 2 stitch border above and to the right of the design. The source is the not selecting stitch of 524 which is copied to stitch 9, row 9.
We could have used design 519, right stitch in this case with the same end result.

solid square, the pattern

The program will result in the pattern above.

Dotted Square

Create a dotted square with a two stitch border.
The screen shot below shows the program to create a dotted square with border.

dotted square program

We use two designs for this task: KH970.519 which is a two stitch, single row design that contains one selecting and one not selecting stitch and KH970.524 which is a one stitch, two row design that contains one not selecting stitch and one selecting stitch.

Line 1 in the Action List creates the bottom horizontal part of the square. The source is design 519 which is copied to needles 3 thru 7 in row 3 (2.5 times). This creates a left border of 2 stitches and a bottom border of 2 stitches.
Line 2 in the Action List creates the left side of the square. The source is design 524 which is copied to needle 3 in row 4 thru 6 (1.5 times).
Line 3 in the Action List creates the top side of the square. The source is design 519 which is copied to needles 3 thru 7 in row 7 (2.5 times).
Line 4 in the Action List creates the right side of the square. The source is design 524 which is copied to needle 7 in row 4 thru 6 (1.5 times).
To create the border above and to the right of the design we need to put a not selecting stitch at the position max stitch + 2, max row + 2.
Line 5 in the Action List adds the 2 stitch border above and to the right of the design. The source is the not selecting stitch of 524 which is copied to stitch 9, row 9.
We could have used design 519, right stitch in this case with the same end result.

dotted square, the pattern

The program will result in the pattern above.

Double Dotted Square

Create a double dotted square.
The screen shot below shows the program to create a double dotted square.

double dotted square program

We use design KH970.45 for this task. Design 45 is a two stitch design with lots of rows. We use the bottom two rows.
Line 1 in the Action List creates the bottom horizontal part of the square. Design 45 is copied to needles 1 thru 7 in row 1 (3.5 times).
Line 2 in the Action List creates the top horizontal part of the square. Design 45 is copied to needles 1 thru 7 in row 6 (3.5 times). Note that the first needle position is not 1, but 2!
Line 3 in the Action List creates the left side of the square. Design 45 is copied to needle 1 in row 3 thru 5 (1.5 times).
Line 4 in the Action List creates the right side of the square. Design 45 is copied to needle 6 in row 3 thru 5 (1.5 times). Note that the first needle position is 7!

double dotted square, the pattern

The program will result in the pattern above.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Step by Step

The step by step topic shows the steps required to create a program. In the Examples folder, you find the pattern fishes.stp. This pattern shows a large fish and a small fish. In case you have never seen this pattern, load fishes.stp in the main dialog of CB-2 Utility. The objective of this step by step is to create a design with 2 small fishes, one swimming to the left and a bit further to the right and a bit higher two fishes swimming to the right. We create a single design that can be manipulated (fe centered) by the Download functionality of the CB-2.
 fishes swimming left anf right

Start CB-2 Utility. It is assumed the Control Box 2 dialog shows up.
Press the Program button. The Program dialog shows up.
In the Action List you see the Actions of the default program (may be none).
Press the Clear button to empty the Action List.
The Action List has now one entry with Filename "New Row", the rest of the properties is empty.
<Set Filename>
Press ... to browse for fishes pattern. The Control Box 2 choice shows up.
Press Browse.... The "Select pattern file" dialog shows up.
Locate the file fishes.stp in the Examples folder and select fishes.stp. Press Open to load the pattern and leave the dialog.
You are returned to the Program dialog. The Filename field is now filled with fishes.stp prefixed by the full path of the Examples folder.
<Filename Set>
The small fish can be found between x,y coordinates 41,1 and 60,30.
Type 41 in the Source Left field. Type 60 in the Source Right field. Type 1 in the Source Bottom field. Type 30 in the Source Top field.
We can leave all Destination fields empty as we want the first fish positioned at 1,1.
At this point we have done all our work for the first Action.
Press Update to include our changes in the Action List. You see the changes in row one of the Action List.

Next we will do the fishes swimming to the right. The fish is copied from the same place in the source. We will leave 5 stitches after the first fish and put the two fishes 10 rows higher. The start stitch of the two fishes is 1 (start stitch of first fish) + 20 (widht of fish) + 5 (margin) = 26; the start row is 10. To make two fishes instead of one, we specify the Right of the destination as 26 + 2 * 20 - 1 = 65.
Press the New button to create a new Action. The Action List has now a second entry with Filename "New Row", the rest of the properties is empty.
Perform the steps between <Set Filename> and <Filename Set> above.
Type 41 in the Source Left field. Type 60 in the Source Right field. Type 1 in the Source Bottom field. Type 30 in the Source Top field.
Type 26 in the Destination Left field. Type 65 in the Destination Right field. Type 10 in the Destination Bottom field.
We need to turn on the Reverse variation to make the two fishes swim to the right,
Click on Reverse in the Variations List.
Press the Toggle button. The Variations List gets updated and shows now Reverse On.
At this point we have done all our work for the second Action.
Press Update to include our changes in the Action List. You see the changes in row two of the Action List.

At this point we have completed our program. We need to save our program. There are 2 save functions. Firstly we can use the Save As button, which saves the program under the name you specify on a disk or on a stick. Secondly we can make our program the default program by pressing the OK button. In the second case, our program is saved and we are returned to the Control Box 2 dialog with our just created program already loaded.
In the first case you will see a standard Save As dialog. In the Filename field you replace the * with a name of your choice. Press Save to save our just created program. You can load this program in the Control Box 2 dialog. Press Close to return to the Control Box 2 dialog.

After all the above you should get:

fishes swimming left and right

Last Modification: Mar 16, 2019 © 2002,2019 Computerservice SSHS BV.


Step by Step

The step by step topic shows the steps required to create a more advanced program. Pattern KH970, 99 is a left foot. The objective is to create a left and right foot that walk down, a left and right foot that walk left, a left and right foot that walk right and a left and right foot that walk up. If we create these designs around a central square, we can put a cherry (KH970, 105) in the middle. We create a single design that can be manipulated (fe centered) by the Download functionality of the CB-2.
 feet plus cherry

Start CB-2 Utility. It is assumed the Control Box 2 dialog shows up.
Press the Program button. The Program dialog shows up.
In the Action List you see the Actions of the default program (may be none).
Press the Clear button to empty the Action List.
The Action List has now one entry with Filename "New Row", the rest of the properties is empty.
<Set Filename>
Press ... to browse for KH970 pattern 99. The Control Box 2 choice shows up
Press KH970 to browse the KH970 inbuilt patterns. The "Select Pattern - KH970" dialog shows up.
Type 99 in the Pattern Number field and press the Preview button. The foot is displayed in the middle of the "Select Pattern - KH970" dialog.
Press Select to select pattern 99 and to leave the dialog.
You are returned to the Program dialog. The Filename field is now filled with KH970_99.bpf prefixed by the name of your temp folder. KH970_99.bpf is a temporary file used to create the final program file.
<Filename Set>
We will start with the feet walking up. The left position of the feet walking up is the height of pattern 99 (56) + 1 = 57; the width of pattern 99 is 27 stitches. The bottom position is 1 + 56 (for the feet walking down) + 2*27 (for the feet walking left and right) = 111.
Type 57 in the Destination Left field. Type 111 in the Destination Bottom field.
We need to turn on the Mirror Image variation to create a right foot from a left foot,
Click on Mirror Image in the Variations List.
Press the Toggle button. The Variations List gets updated and shows now Mirror Image On.
At this point we have done all our work for the first Action (feet walking up).
Press Update to include our changes in the Action List. You see the changes in row one of the Action List.

Next we will do the feet walking down. The left position is the same as the left position of the feet walking up; the bottom position is 1 (the default bottom position).
Press the New button to create a new Action. The Action List has now a second entry with Filename "New Row", the rest of the properties is empty.
Perform the steps between <Set Filename> and <Filename Set> above.
Type 57 in the Destination Left field.
We need to turn on the Mirror Image variation to create the right foot from the left foot. After that we need to turn on the Upside Down variation to make the feet walk down instead of up. Note that the left foot becomes a right foot and the right foot becomes a left foot.
Click on Mirror Image in the Variations List.
Press the Toggle button. The Variations List gets updated and shows now Mirror Image On.
Click on Upside Down in the Variations List.
Press the Toggle button. The Variations List gets updated and shows now Upside Down On.
As we stated we would do the Mirror Image first, we need to change the order.
Press the Down button to exchange Upside Down and Mirror Image.
At this point we have done all our work for the second Action (feet walking down).
Press Update to include our changes in the Action List. You see the changes in row two of the Action List.

Next we will do the feet walking left. The left position is 1 (the default left position). The bottom position is 1 + 56 (height of the feet walking down).
Press the New button to create a new Action. The Action List has now a third entry with Filename "New Row", the rest of the properties is empty.
Perform the steps between <Set Filename> and <Filename Set> above.
Type 57 in the Destination Bottom field.
We need to turn on the Mirror Image variation to create the right foot from the left foot. After that we need to turn on the Rotation variation to turn the feet 90 degrees counterclockwise.
Click on Mirror Image in the Variations List.
Press the Toggle button. The Variations List gets updated and shows now Mirror Image On.
Click on Rotation in the Variations List.
Press the Toggle button. The Variations List gets updated and shows now Rotation On.
At this point we have done all our work for the third Action (feet walking left).
Press Update to include our changes in the Action List. You see the changes in row three of the Action List.

The fourth item will be the feet walking right. The left position is 1 + 56 (width of feet walking left) + 2*27 (width of two feet) = 111. The bottom position is 1 + 56 (height of the feet walking down).
Press the New button to create a new Action. The Action List has now a fourth entry with Filename "New Row", the rest of the properties is empty.
Perform the steps between <Set Filename> and <Filename Set> above.
Type 57 in the Destination Bottom field. Type 111 in the Destination Left field.
We need to turn on the Mirror Image variation to create the right foot from the left foot. After that we need to turn on the Upside Down variation to "rotate over 180 degrees". Lastly we need to turn on the Rotation variation to turn the feet 90 degrees counterclockwise.
Click on Mirror Image in the Variations List.
Press the Toggle button. The Variations List gets updated and shows now Mirror Image On.
Click on Upside Down in the Variations List.
Press the Toggle button. The Variations List gets updated and shows now Upside Down On.
Click on Rotation in the Variations List.
Press the Toggle button. The Variations List gets updated and shows now Rotation On.
At this point we have done all our work for the fourth Action (feet walking right).
Press Update to include our changes in the Action List. You see the changes in row four of the Action List.

The square in the middle has coordinates left 57, right 110, bottom 57, top 110, which is a square of 54 rows by 54 stitches. Pattern 105 is 40 rows by 20 stitches, which means the left margin is (54-20)/2 = 17 stitches and the bottom margin is (54-40)/2 = 7 rows.
Press the New button to create a new Action. The Action List has now a fifth entry with Filename "New Row", the rest of the properties is empty.
Perform the steps between <Set Filename> and <Filename Set> above, but use 105 instead of 99.
Type 64 in the Destination Bottom field. Type 74 in the Destination Left field.
That is all for the cherry.
Press Update to include our changes in the Action List. You see the changes in row five of the Action List.

At this point we have completed our program. We need to save our program. There are 2 save functions. Firstly we can use the Save As button, which saves the program under the name you specify on a disk or on a stick. Secondly we can make our program the default program by pressing the OK button. In the second case, our program is saved and we are returned to the Control Box 2 dialog with our just created program already loaded.
In the first case you will see a standard Save As dialog. In the Filename field you replace the * with a name of your choice. Press Save to save our just created program. You can load this program in the Control Box 2 dialog. Press Close to return to the Control Box 2 dialog.

After all the above you should get:

feet the pattern

Last Modification: Aug 1, 2018 © 2002,2018 Computerservice SSHS BV.


Lace

The primary difference between lace patterns and other patterns is that the pattern rows are knitted by the L carriage. The fabric rows in a lace pattern are knitted by the K carriage with the Change Knob set to N.L. For other patterns, the K carriage is the only carriage used and the Change Knob is set to KC(I) or KC(II). The number of fabric rows to knit in a lace pattern is stored in the memo value of the last row of a lace sequence. The row number with the memo value is always even. The number of rows in a lace sequence is also always even.

When you program a lace pattern, you need to make sure that you do not overwrite the memo values.

In the Lace example we make a program that constructs a square of yarn overs around a pattern. For simplicity we use KH970 pattern 133. Pattern 133 has lace sequences of 4 rows where the last row contains the memo value 2, which means 2 fabric rows. Exception is the last row which has memo value 8.
Before we start, you need to know that a design called Plain_in_Lace.txt can be found in the CB-2\txt folder in My Designs. Plain_in_Lace.txt is a lace design that contains one stitch and a number of two lines with memo values 2, 4, 6 and 8. You can use Plain_in_Lace.txt as a source design to add additional fabric lines to your program. The stitch in Plain_in_Lace.txt is a yarn over where you need at least one not selecting needle next to it.

The plan:
1. construct the bottom border
2. load and position KH970, 133
3. replace the memo number in the last row of KH970, 133 by 2
4. set the left column of yarn overs
5. set the right column of yarn overs (yarn over in opposite direction)
6. construct the bottom yarn overs
7. construct the top border
8. construct the top yarn overs

The programming: (flower_border.txt example, line numbers refer to lines in the Action list)
1. Line 1 creates 2 L carriage passes and 2 K carriage passes.
Width is set to 5 + 12 + 1 + 5 = 23; left border, pattern 133, blank, right border.
Line 2 creates the lace sequence for the bottom border (4 * L, 2 * K).
Line 3 creates 2 L carriage passes and 2 K carriage passes.
2. Line 4 loads pattern KH970, 133 to row 1+2+2+2, 1+5 (7,6)
2 for line 1, 4 for line 2 and 2 for line 3.
3. Line 5 overwrites the last 2 lines in pattern 133.
1+2+2+2+72-2 = 77
4. In line 6 we use a portion (1 stitch) of pattern 133 which has the format 4 * L and 2 * K
5. In line 7 we use a portion (1 stitch) of pattern 133 which has the format 4 * L and 2 * K;
the difference is that the yarn overs are in the opposite direction.
6. The bottom border will have half of the yarn overs move to the left (row 3) and the other half to the right (row 4).
In line 8 we use KH970 pattern 519 to program the yarn overs moving left
In line 9 we use KH970 pattern 519 to program the yarn overs moving right
Note that these rows didn't have memo numbers.
7. Line 10 creates the lace sequence for the top border (4 * L, 2 * K).
Line 11 creates 2 L carriage passes and 2 K carriage passes.
8. The top border will have half of the yarn overs move to the left (row 79) and the other half to the right (row 80).
In line 12 we use KH970 pattern 519 to program the yarn overs moving left
In line 13 we use KH970 pattern 519 to program the yarn overs moving right
Note that these rows didn't have memo numbers.

Once you have done all steps, you have the example below:

lace example

Last Modification: March 16, 2019 © 2002,2019 Computerservice SSHS BV.


Program Messages

A program consists of a header containing a signature etc, Action lines and the pattern resulting from the program.
The final pattern is built by interpreting the Action lines. A pattern is built in three cases: when the user presses OK, the default program is regenerated; when the user presses Save As, a program under the specified name is generated; when the user presses Preview, the preview program is generated.

The Action lines refer to external patterns or inbuilt patterns. External patterns are recorded with a full path or a path that starts with the Personal Folder path in case the pattern is stored in a folder that is on the Personal Folder path. This makes the programs portable to an other computer without changing them. You must obviously makes sure that the patterns referenced in a program are on the other computer.
CB-2 Utility creates temporary files for inbuilt patterns. These files are stored in the temp folder of the machine where CB-2 Utility resides. When you get a program from someone else, you need to browse for the knitting machine patterns mentioned in the program. The browse functionality (re-)creates the temporay files.

Personal Folder Error

You see above message when the pattern in the Personal Folder isn't in the Personal Folder. Browse your computer for the pattern specified, press the Update button and you have resolved above error.

Temprary Folder Error

You see above message when the pattern in the Temporary Folder isn't in the Temporary Folder. Browse the knitting machine for the pattern, press the Update button and you have resolved the error. When a pattern is used more than once, you only have to browse once for the pattern.

Some errors that may occur:

-3 : file doesn't exist
-4 : Incorrect signature
-7 : File Structure error
-10: Cable error
-100: Filetype not (yet) supported.

Last Modification: Sep 1, 2018 © 2002,2018 Computerservice SSHS BV.


Download

After pressing the Download button on the Control Box 2 dialog, you're only one step away from downloading a pattern in the CB-2 box. The picture below shows the default settings for downloading. These settings are common for Fairisle patterns.

If you have a Fairisle pattern, you press the OK button and the download starts.

During the download you are informed of the progress by the Transfer Progress dialog. The fields #Rows and #Stitches indicate the effective number of Rows and Stitches that will be sent to the CB-2 box. The value in these fields may differ from the number of rows and stitches of the pattern as result of the application of variations (see also paragraph Note below). The field Current Row indicates which row is being sent. The progress bar shows the percentage of transfer completed.
You can stop the download by pressing the Cancel button. A second press of the Cancel button will close the Transfer Progress dialog.
When the download is completed, the OK button, which was grey during download, will become available. Press the OK button to confirm that you want to knit the downloaded pattern so the pattern can be made available to the Knit function.

The following pages will describe the various options individually. Most options can be combined. Wherever an option cannot be combined with another option, you will be informed when you press the OK button.
The option selected is shown with a view on how this will look when knitted.

In the Width field you specify the final width of your knitting. You may leave the Width field blank. CB-2 Utility will calculate the final width of the resulting pattern after applying your options. You can knit the pattern if you don't exceed the limitation of the KH970 bed which is pre-selected.

Note: statement about adding main color outside pattern area.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Width

You may specify the final width of your knitting in the Width field. If you leave this field blank, CB-2 Utility will work out the final width.

CB-2 Utility will first apply all variation options you specified (Normal, Double Stitches, Double Rows, Upside down, Negative and Reversed) giving the width of the pattern to be knitted. Three cases can be identified:
1. the value of the Width field is the same as the value calculated.
2. the value of the Width field is smaller than the value calculated.
3. the value of the Width field is larger than the value calculated.

Note: if you don't enter a value in the Width field, case 1 applies.

Case 1: Exact fit. The pattern will be downloaded centered. The option Centered will be discarded. The option Repeat is not applicable.

Case 2: Width value is smaller than pattern size. Stitches will be truncated evenly on both sides until the pattern fits the Width value. The pattern will be downloaded centered. The option Centered will be discarded. The option Repeat is not applicable.

Case 3: Width value is larger than pattern size. In this case the Repeat and Centered options apply. The first copy of the pattern is positioned centered if the Centered option is turned on, otherwise, the first copy is positioned starting from needle 1 on the right side. If you also have the Repeat option set, additional copies of the pattern are added both left and right until the full Width is covered.

Note: if you have a pattern of 20 stitches, Width set to 30, Centered turned off and Repeat turned off, the left most 15 stitches of the pattern will be knitted; the rightmost 5 stitches will be truncated. On the left side of the knitting machine main color will be knitted.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Positioning

The topic Width explains how you influence the patterning on your knitting machine. Patterning doesn't happen outside this area. The piece you want to knit, may be wider than the patterning. This is where positioning comes in.

You can position your patterning to any position on the knitting machine. You use the two margin fields on the Settings dialog to specify the position of the patterning. If you leave the two margin fields blank, the patterning will be as explained in the topic Width.

Both margin fields add the number of stitches specified to your patterning. The stitches will be knitted in main yarn.

Note: for Lace patterns a margin of at least 1 is advised.
Examples:

To move a complete duck anywhere on the knitting, you leave Width blank (or type the pattern width) and specify Right Margin and Left margin according to the required position of the pattern and the width of the piece you want to knit (Piece width = Left margin + Pattern width + Right Margin, 35 = 10 + 20 + 5).

Note: the Center and Repeat variations have no influence on the positioning in this case; when Width is not equal to pattern width, they are applied.

To move a complete duck to the left, you leave Width blank and specify Right Margin 20.
To move a complete duck to the right, you leave Width blank and specify Left Margin 20

To center the truncated duck from the Width topic, you specify Width 30, Right Margin 16, Center off and Repeat off.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Pattern Indicators

You can use the Pattern Indicators to select a portion of the pattern you are about to download.
If you don't fill in the Pattern Indicator fields, you will get the full pattern.
The default values are:
Top: number of Rows
Bottom: 1
Left: 1
Right: Number of Stitches

The pattern 40.bmp shows one big duck and 2 smaller ducks.

To knit 3 little ducks in the center of a 50 stitch swatch, use the Settings below:

With the Pattern Indicators, you have selected the small duck in the middle of the pattern

and your knitting will look like:

Note: Variations are applied to the portion of the pattern you selected.

Errors:
1001: Left > Right
1002: Bottom > Top
1003: Top > number of rows
1004: Right > number of stitches

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Preview

When you need to select multiple variations, the Preview function may become handy to verify the pattern will be what you intended.

The picture below shows the preview for the example used in the Positioning topic.

You can access the Preview by pressing on the Preview button located on the Settings dialog.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Normal

The pattern duck20_2.pat is a 2 color Jacquard pattern. CB-2 allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn.
After row 20 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Double Rows

The pattern duck20_2.pat is a 2 color Jacquard pattern. CB-2 allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn. Every row will be knitted twice.
After row 40 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Double Stitches

The pattern duck20_2.pat is a 2 color Jacquard pattern. CB-2 allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 20 left of the middle through needle 20 right of the middle. Note that the pattern is knitted centered. This is because the number of stitches in the pattern is the same as the Width value.
After row 20 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Upside Down

The pattern duck20_2.pat is a 2 color Jacquard pattern. CB-2 allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn.
After row 20 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Reversed

The pattern duck20_2.pat is a 2 color Jacquard pattern. CB-2 allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn.
After row 20 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Pattern + Space

The pattern duck20_2.pat is a 2 color Jacquard pattern. CB-2 allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 21 through needle 40 right of the middle; needle 1 through needle 40 left of the middle and needle 1 through 20 right of the middle will knit main yarn.
After row 20 has been knitted, the pattern will be knitted from needle 1 through 20 right of the middle and needle 21 through 40 right of the middle will knit main yarn.
After row 40 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Negative

The pattern duck20_2.pat is a 2 color Jacquard pattern. CB-2 allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn.
After row 20 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Exchange

The pattern loaded determines which yarn is main yarn (feeder 1) and which yarn is contrast yarn (feeder 2). This can be rather inconvenient in some cases. The Exchange variation lets you exchange main and contrast yarn before applying the other variations. The Exchange variation is not the same as the Negative variation.

The pattern duck20_2.pat is a 2 color Jacquard pattern. CB-2 allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn.
After row 20 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

The Exchange variation can be very useful for 2 color patterns that have main and contrast yarn wrong way around. Suppose you have a pattern with a yellow duck on a blue background where the main color is yellow and the contrast color is blue. The Exchange variation enables you to knit a yellow duck on a full blue background.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Odd stitch left

The majority of patterns is designed with an even number of stitches. The design itself is actually an odd number of stitches. Repetitions are achieved by sharing the left or right border stitch and/or top or bottom border stitch. The sharing works very well with top and bottom border stitches. For left or right border stitches, it may or may not work. In order to complete a pattern, you need to use the next stitch in a repetition. Example: if you have a pattern of 8 stitches, you specify you knit 9 stitches. If you have repetitions enabled, the extra stitch will be added for you.
Below you see 2 patterns both 8 stitches wide and 8 stitches high.
You see immediately that, if you turn on Wrap, after the last row is knitted, the first row will be knitted again. The first row fits nicely on top of the last row. The first row can be used as terminating row of the pattern and also as start row for the next vertical repetition.
You also see that for the left hand pattern, you need to use the leftmost stitch to complete the pattern, where on the right hand pattern, you need to use the rightmost stitch as the first stitch to get a complete pattern.
Without the Odd Stitch Left variation, you will get the following knitting scheme for 9 stitches:
After turning on the Odd Stitch Left variation, you get:

Note: the variations Center and Repeat were also on when above pictures were taken.

Last Modification: Mar 11, 2018 © 2002,2018 Computerservice SSHS BV.


Mirror Horizontal

The pattern duck20_2.pat is a 2 color Jacquard pattern. CB-2 allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 20 left of the middle through needle 20 right of the middle.
After row 20 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Mirror Vertical

The pattern duck20_2.pat is a 2 color Jacquard pattern. CB-2 allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn.
After row 40 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Birdseye Left

The pattern duck19.pat is a 2 color Jacquard pattern. CB-2 allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

When your design has more than 2 colors, you may receive the warning below. The birdseye variation will be discarded.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn.
After row 19 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Chevron

The pattern duck20_2.pat is a 2 color Jacquard pattern. CB-2 allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 19 left of the middle through needle 20 right of the middle; needle 20 left of the middle will knit main yarn.
After row 20 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.
Note the one stitch overlap between the normal and reversed pattern.
Remark: the pattern is centered to show the effect.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Reflection

The pattern duck20_2.pat is a 2 color Jacquard pattern. CB-2 allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn.
After row 39 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.
Note the one row overlap between the normal and upside down pattern.

Last Modification: May 8, 2019 © 2002,2019 Computerservice SSHS BV.


Birdseye Right

The pattern duck19.pat is a 2 color Jacquard pattern. CB-2 allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

When your design has more than 2 colors, you may receive the warning below. The birdseye variation will be discarded.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn.
After row 19 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Center

The pattern duck20_2.pat is a 2 color Jacquard pattern. CB-2 allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 10 left of the middle through needle 10 right of the middle; needle 11 through needle 20 left of the middle and needle 11 through 20 right of the middle will knit main yarn.
After row 20 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Repeat

The pattern duck20_2.pat is a 2 color Jacquard pattern. CB-2 allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted both left and right of the middle. The pattern will be repeated as often as needed. There can be a partial repeat at both sides.
After row 20 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Wrap

The pattern duck19_2.pat is a 2 color Jacquard pattern. CB-2 allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn.
The pattern duck19_2.pat has an odd number of rows. In order to let the pattern have an even number of rows, the pattern is copied, which makes the number of rows even again.
After row 38 has been knitted, row 1 will be the next row to knit without user intervention.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Position

The CB-2 has three ways to position the pattern you want to knit. We have seen already Centered and Normal. The third method enables you to specify the position of the pattern.

The pattern duck20_2.pat is a 2 color Jacquard pattern. CB-2 allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 5 right of the middle through needle 25 right of the middle; needle 25 through needle 1 left of the middle and needle 1 through 4 right of the middle will knit main yarn.
After row 20 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

It is also possible to enter a negative number. For the picture below, the value -3 was entered.

End result is that the pattern starts at needle 3 left of the middle.

Pattern Bergere3.txt is a 19 stitch lace pattern.

Assume we want to repeat this patterns twice and add the right most four stitches to the left of the two repetitions.

Set Width to 42 (2 * 19 + 4). Turn off Centered; turn on Repeat. Make sure the right side of the pattern is at the right side of the 42 stitches. You can do this by setting Position to 3. This means that the first pattern for repetitions is not set at 1, but at 3.

Last Modification: Feb 6, 2018 © 2002,2018 Computerservice SSHS BV.


Fairisle Rib

Fairisle rib patterns are knitted in pairs of rows.
The knitting starts at the opposite side of the color changer. After knitting the first row, the carriage enters the color changer to pick up the second color after which the first row and the second row are knitted. The carriage enters the color changer and picks up the third color. The first and second row are knitted with color 3. Finally, after knitting color 3, the carriage enters the color changer and picks up the first color again. After the second row is knitted with the first color, both rows are completely knitted.
This scheme is called 1,2,2,3,3,1. It als also possible to knit 1,2,2,3,3,4 where 4 is a new color.
The scheme for 2 color jacquard is 1,2,2,1 or 1,2,2,3.
The scheme for 4 color jacquard is 1,2,2,3,3,4,4,1 or 1,2,2,3,3,4,4,5.
The scheme for 5 color jacquard is 1,2,2,3,3,4,4,5,5,1 or 1,2,2,3,3,4,4,5,5,6.
The scheme for 6 color jacquard is 1,2,2,3,3,4,4,5,5,6,6,1 or 1,2,2,3,3,4,4,5,5,6,6,7.

The process of splitting a multicolor design into individual colors is called separation.

CB-2 software can separate 2 and 3 color per row fairisle rib designs. Note that separation may lead to a yarn sequence like 1,2,2,3,3,1,1,3,3,2,2,1.

The CB-1 supports automatic separation of 2 color per row designs in fairisle rib and 3, 4 color per row designs in skip stitch..
The CB-2 supports 4, 5, 6 color per row fairisle rib designs via a mechanism called Feeders. Only a limited number of pattern formats supports Feeders. DesignaKnit supports Feeders thru the menu selection View, Yarn Number & Feeders. The color sequence shown is the sequence used to knit the design. There is one exception: in case a design is not knittable and by switching the middle colors around it can be knitted, CB-2 software will switch the middle colors around.
The Feeders facility is available both in .PAT and .STP files.

The Feeders facility is also available in .TXT files. Specify the $feeders option in the top of the file and 6 bytes per row at the end of each row.

You can find examples of patterns in the examples\fairisle rib folder which is installed in your Documents folder.

Last Modification: Aug 11, 2020 © 2002,2020 Computerservice SSHS BV.


Fairisle Rib, 2 & 3 color

The pattern duck20.pat is a 3 color Jacquard pattern.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn.
The pattern is separated by CB-2. For Fairisle Rib there is no need for Double Rows.
After row 60 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Last Modification: Mar 14, 2019 © 2002,2019 Computerservice SSHS BV.


Fairisle Rib, 4 color

The pattern _feed4.stp is a 4 color Jacquard pattern.

Above pattern has color scheme 1,2,2,3,3,4,4,5.

The pattern will be knitted from needle 1 through needle 16 right of the middle; needle 1 through needle 16 left of the middle will knit main yarn.
The pattern is separated by CB-2 as per the Feeders section in the file.
After row 16 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Note: the middle colors in row 3 and 4 are exchanged.

Last Modification: Mar 14, 2019 © 2002,2019 Computerservice SSHS BV.


Skip Stitch

The pattern duck20_2.pat is a 2 color Jacquard pattern.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn.
The pattern duck20_2.pat has a little problem: in order to knit Skip Stitch, the pattern needs to be such that row 1 is the same as row 2, row 3 is the same as row 4, etc. Rows 1 and 2 already fail this criteria. The issue can be resolved by turning on Double Rows.
After row 76 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.
You may wonder why the total number of rows is not 80 (20 original, 20 extra for Double Rows, and double again as result of separation). Answer: Rows consisting of main yarn only are doubled only once.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Skip Stitch Ribber

The pattern duck20_2.pat is a 2 color Jacquard pattern.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn.
The pattern duck20_2.pat has a little problem: in order to knit Skip Stitch, the pattern needs to be such that row 1 is the same as row 2, row 3 is the same as row 4, etc. Rows 1 and 2 already fail this criteria. The issue can be resolved by turning on Double Rows.
After row 80 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Jacquard

The pattern duck20_2.pat is a 2 color Jacquard pattern.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn.
After row 38 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

This knitting method is the equivalent of the PC10 method of Jacquard knitting. You can knit patterns with up to 6 different colors per row.
Note: not every Jacquard pattern is suitable for knitting using this method. Please be aware of the floats!

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Jacquard Ribber

The pattern duck20_2.pat is a 2 color Jacquard pattern.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn.
After row 40 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

This knitting method is the equivalent of the PC10 method of Jacquard knitting. You can knit patterns with up to 6 different colors per row.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


End Needles

The pattern duck20_2.pat is a 2 color Jacquard pattern. CB-2 allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn. The outermost needles will be knitted contrast yarn.
After row 20 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Note: you can also achieve end needle selection by setting the Change Knob to KC(I).

Last Modification: Oct 1, 2017 © 2002,2017 Computerservice SSHS BV.


Carriage Left

The pattern duck20_2.pat is a 2 color Jacquard pattern. CB-2 allows you to knit this patterns as Fairisle. This is possible as patterns are not stored separated.

The pattern will be knitted from needle 1 through needle 20 right of the middle; needle 1 through needle 20 left of the middle will knit main yarn.
The carriage starts left as can be seen from the carriage picture, which is now on the left hand side of the screen contrary to normal where the carriage starts on the right hand side.
After row 20 has been knitted and the Wrap option is enabled, row 1 will be the next row to knit without user intervention.

Last Modification: May 1 2017 © 2002,2017 Computerservice SSHS BV.


Lace

The separate Brother lace (L) carriage doesn't work the same as the Silver Reed integrated LCxxx carriage.

The Brother L carriage does yarn overs only. The Silver Reed LCxxx carriage can do a yarn over and knit at the same time. When multiple yarn overs are required, you need to do multiple carriage passes with the Brother L carriage. The Silver reed LCxxx carriage with dial on P knits yarn overs only.
Another difference between Brother and Silver Reed knitting machines is that Brother knitting machines work on preselection where Silver Reed knitting machines knit real time.

Brother Lace carriages support 2 types of lace operated by the Lace Change Lever: normal lace (N) and fine lace (F).
When knitting normal lace, stitches are transferred to the next needle; when knitting fine lace, stitches are extended to the next stitch.

Lace patterns, like 108 thru 205 in Stitch World Pattern Book III, are fully supported.
These lace designs are encoded separated where the rows correspond to lace carriage passes and the memo numbers indicate K carriage passes.
The on screen carriage will be L carriage or K carriage as appropriate. The number of rows to be knitted with the K carriage is in a small field in the middle under the design.

Silver Reed Lace carriages support two type of lace: simple lace and fashion lace.
Simple lace is where the carriage does the yarn overs and knits stitches in the same row. For fashion lace, the carriage need to do yarn overs only and after that plain knitting. On the mylar sheets you can see the difference between simple lace and fashion lace in column A. Fashion lace has black squares in column A for the yarn over only where simple lace doesn't have any black squares in column A.

CB-2 supports both simple lace, fashion lace and a combination thereof. CB-2 also supports both normal lace, fine lace and a combination thereof. Three file formats provide lace patterns: Text documents (TXT), Stitch Painter STC and DesignaKnit STP.

Last Modification: Dec 24, 2017 © 2002,2017 Computerservice SSHS BV.


Simple Lace

Simple.stc is a simple lace pattern created with Stitch Painter.

When you download the pattern, you see that most variations are not available.

During download the Width field was not populated. CB-2 used the number of stitches of the design as the width to be knitted.

Simple lace is knitted with the lace carriage (L) with the Lace Change Lever set to N. The stitches are the yarn overs.
When you need to knit with the main carriage (K), the on screen carriage will change from L carriage to K carriage and the memo field in the middle of the dialog will show how many rows you need to knit with the K carriage.

The memo number decreases every time you do a carriage pass with the K carriage.

Note: above design has lace stitches in row 3 and row 4. The stitches in row 3 and 4 are combined into row 3 during knitting.

Last Modification: Dec 25, 2017 © 2002,2017 Computerservice SSHS BV.


Fashion Lace

Fashion.stp is a fashion lace pattern created with DesignaKnit with Lace module.

When you download the pattern, you see that most variations are not available.

During download the Width field was not populated. CB-2 used the number of stitches of the design as the width to be knitted.

Fashion lace is knitted with the lace carriage (L) with the Lace Change Lever set to N. The stitches are the yarn overs.
When you need to knit with the main carriage (K), the on screen carriage will change from L carriage to K carriage and the memo field in the middle of the dialog will show how many rows you need to knit with the K carriage.

The memo number decreases every time you do a carriage pass with the K carriage.

Last Modification: Dec 25, 2017 © 2002,2017 Computerservice SSHS BV.


Combined Lace

Combined.txt is a combined lace pattern created with Microsoft Notepad.

When you download the pattern, you see that most variations are not available.

During download the Width field was not populated. CB-2 used the number of stitches of the design as the width to be knitted.

Combined lace can consist of rows with yarn overs only, rows with yarn overs and knitting and rows without yarn overs.

Combined lace is knitted with the lace carriage (L) with the Lace Change Lever set to N. The stitches are the yarn overs.
When you need to knit with the main carriage (K), the on screen carriage will change from L carriage to K carriage and the memo field in the middle of the dialog will show how many rows you need to knit with the K carriage.

The memo number decreases every time you do a carriage pass with the K carriage.

Last Modification: Mar 13, 2018 © 2002,2018 Computerservice SSHS BV.


Normal Lace

970-119.txt is a normal lace pattern created with Notepad. You specify $memo as second line in the file. The rows become one character longer. The extra character is the memo number for the row. The stitches are represented as 0 and 1. The digit 1 shows the selections.
The extra character shows a number for the last row of a lace row set, similar as you can find in Stitch World Pattern Book III. For other rows, the number is 0.

This design can also be represented with lace symbols.

When you download the pattern, you see that most variations are not available.

During download the Width field was not populated. CB-2 used the number of stitches of the design as the width to be knitted.

Normal lace is knitted with the lace carriage (L) with the Lace Change Lever set to N. The stitches are the yarn overs.
When you need to knit with the main carriage (K), the on screen carriage will change from L carriage to K carriage and the memo field in the middle of the dialog will show how many rows you need to knit with the K carriage.

The memo number decreases every time you do a carriage pass with the K carriage.

Last Modification: Mar 13, 2018 © 2002,2018 Computerservice SSHS BV.


Fine Lace

970-186.stp is a fine lace pattern created with DesignaKnit with Lace module. Fine lace can be drawn just like normal lace with holes and yarn overs. The setting of the Lace Change Lever on the lace carriage (L) determines whether you knit normal lace (N) or fine lace (F). The fine lace symbols have to be used when you want to knit mixed lace (normal and fine lace in the same design).

When you download the pattern, you see that most variations are not available.

During download the Width field was not populated. CB-2 used the number of stitches of the design as the width to be knitted.

Fine lace is knitted with the lace carriage (L) with the Lace Change Lever set to F. The stitches are the stitch extensions.
When you need to knit with the main carriage (K), the on screen carriage will change from L carriage to K carriage and the memo field in the middle of the dialog will show how many rows you need to knit with the K carriage.

The memo number decreases every time you do a carriage pass with the K carriage.

Last Modification: Jan 13, 2018 © 2002,2018 Computerservice SSHS BV.


Mixed Lace

970-194.txt is a mixed lace pattern created with Notepad. You specify $memo as second line in the file. The rows become one character longer. The extra character is the memo number for the row. The stitches are represented as 0 and 1. The digit 1 shows the selections.
The extra character gives a number for the last row of a lace row set, similar as you can find in Stitch World Pattern Book III. The F is represented by as semicolon (;) and the N is represented by a colon (:).

When you download the pattern, you see that most variations are not available.

During download the Width field was not populated. CB-2 used the number of stitches of the design as the width to be knitted.

Mixed lace is knitted with the lace carriage (L) with the Lace Change Lever set to F for the fine lace rows. The Lace Change Lever is set to N for the normal lace rows. The stitches are the stitch extensions or yarn overs.
There are 2 ways you can see which setting of the Lace Change Lever to use. The first is the memo field that shows N for normal lace and F for Fine lace. The second is the color of the stitches which is blue for normal lace and dark yellow for fine lace. For rows without stitches, the color is irrelevant and can be either.
When you need to knit with the main carriage (K), the on screen carriage will change from L carriage to K carriage and the memo field in the middle of the dialog will show how many rows you need to knit with the K carriage.

The memo number decreases every time you do a carriage pass with the K carriage.

Last Modification: Dec 25, 2017 © 2002,2017 Computerservice SSHS BV.


Multiline Lace

Pattern 144 in Stitch World Pattern Book III is a pattern that cannot be digitised using current lace symbols and lace rules. You can enter pattern 144 in DesignaKnit (970-144a.stp), but when you try to save, DesignaKnit will give you a message that there are lace transfers in both row 1 and 2. The good news is that DesignaKnit lets you save your work. In Notepad you can do the same.

Here is where you use the Multiline Lace feature of the CB-2 software. When the CB-2 recognises that a design contains multiple rows with lace symbols without blank rows in between, the CB-2 software considers those as a single lace line.
Now we have the feature of Multiline Lace, we can digitise design 144 also using the individual rows in the pattern book (970-144b.txt).

When you download the pattern, you get a message that some lace rows cannot be combined.

CB-2 software first tries to combine adjacent rows with lace stitches. Combining multiple rows into one row is to facilitate the knitting of some Silver Reed lace patterns. When you think this message is result of an incorrect design, press Cancel. In the case you have a multiline lace pattern, press OK.

When you download the pattern, you see that most variations are not available.

During download the Width field was not populated. CB-2 used the number of stitches of the design as the width to be knitted.

Multiline lace is knitted with the lace carriage (L) with the Lace Change Lever set to F or N. The stitches are stitch extensions or yarn overs.
When you need to knit with the main carriage (K), the on screen carriage will change from L carriage to K carriage and the memo field in the middle of the dialog will show how many rows you need to knit with the K carriage.

The memo number decreases every time you do a carriage pass with the K carriage.

Notes:
In txt files you have 2 options for lace patterns: a: 0 and 1 for stitches and an extra column for memo information or b: enter the pattern with lace symbols.
Question: why would you enter a design in Notepad with lace symbols?
Answer: you avoid mistakes in memo numbers.

Pattern 970-144c.stp is another digitisation of pattern 144 in Stitch World Pattern Book III. The difference with 970-144a.stp is that 970-144a.stp is optimised for number of carriage passes.

Last Modification: Jan 1, 2018 © 2002,2018 Computerservice SSHS BV.


Superimposed Lace

Pattern 144 in Stitch World Pattern Book III is a pattern that cannot be digitised using current lace symbols and lace rules. You can enter pattern 144 in DesignaKnit (970-144d.stp) as a superimposed lace pattern, but when you try to save, DesignaKnit will give you a message that there is an invalid lace sequence in row 1. The good news is that DesignaKnit lets you save your work. In Notepad you can save pattern 144 as superimposed pattern.

When you download the pattern, you see that most variations are not available.

During download the Width field was not populated. CB-2 used the number of stitches of the design as the width to be knitted.

Superimposed lace is knitted with the lace carriage (L) with the Lace Change Lever set to N. The stitches are the yarn overs.
When you need to knit with the main carriage (K), the on screen carriage will change from L carriage to K carriage and the memo field in the middle of the dialog will show how many rows you need to knit with the K carriage.

The memo number decreases every time you do a carriage pass with the K carriage.

Note 1: The superimposed lace sequences are knitted individually; there is no optimisation for lace carriage passes.

Note 2: Superimposed lace patterns can be mixed lace.

Note 3: Brother has documented Superimposed Lace in the document titled "How to use Lace cartridge".

Last Modification: Mar 13, 2018 © 2002,2018 Computerservice SSHS BV.


Special Lace

There are a number of special cases in lace knitting. CB-2 will try to knit whatever you design in your pattern as long as the rules for lace patterns are not violated.

You can see on the Do not page a couple of examples of what you should not do as it is almost impossible to knit.

The two yarn overs above each other page shows an example that can be knitted.

The two yarn overs next to each other page shows another example that can be knitted.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Lace Do Not

The pattern below contains two yarn over next to each other and also above each other.

This pattern can be represented without any problem, but when it comes to knitting, you end up with ...

If we modify the pattern to contain fully knitted rows, we still end up in trouble when knitting.

Last Modification: May 1, 2017 © 2002,2015 Computerservice SSHS BV.


Lace Above

The pattern below contains two yarn overs above each other.

This pattern can be represented without any problem, but knitting......

Last Modification: Jan 9, 2018 © 2002,2018 Computerservice SSHS BV.


Lace Next

The pattern below contains two yarn overs next to each other.

This pattern can be represented without any problem and can also be knitted.

The pattern above is inspired by lace pattern 18 for the LC580.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Lace Errors

Errors in a lace pattern are determined when you download the pattern to the CB-2 box.

Above pattern contains an obvious error in row 6.

You will see an error message like the one above when your lace pattern contains one or more errors.
Only the first error is flagged and the download is stopped. You need to correct the error that is flagged and download the pattern again.
The reason for not flagging further errors is that correction of the first error may validate what could have been flagged as the next error.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Knitting

After you press the Knit button on the Control Box 2 dialog, you will see the Knit Progress dialog below.

The example above shows a pattern that fits the stitch area of the Knit Progress dialog. If you have a pattern that is wider than the stitch area, the horizontal scroll bar of the stitch area will be enabled. If you have a pattern that is higher than the stitch area, the vertical scroll bar of the stitch area will be enabled. The Knit Progress dialog has a minimum size; you can resize the Knit Progress dialog by dragging the borders of the Knit Progress dialog.

The stitch area is divided into 5 columns: row number, separator, stitches, separator, row number.
The row that is going to knitted next is indicated by the selection in the stitch area. The selection is marked by the blue highlight in both row number columns and a border around the row.
The carriage picture shows where the carriage is supposed to be before knitting the row it's in. The carriage normally starts right unless you have specified carriage left during download. There are three types of carriages: K carriage (green), L carriage (purple) and G carriage (yellow).
The small field in the middle of the screen is the Memo field. The Memo field is used during Lace knitting. The memo field shows F and N for mixed lace and the number of rows to knit with the K carriage. The number of rows to knit will decrement when you move the K carriage to the opposite side.
The Stop tickbox, when ticked, prevents the pattern row counter from incrementing. You can use the Stop tickbox to knit multiple the same rows.
The Row Cnt field is the fabric row counter. The Row Cnt field is incremented every time a carriage hits the Row Counter Trigger. When the Knit button is available (black), the Row Cnt field is white and can be modified so giving you the opportunity to start at any count you like. When the Knit button is not available (greyed out), the Row Cnt field is read only and cannot be modified.
You can start at any row you like by clicking on the row. If you were knitting when you click on a row, the knitting stops and the Knit button becomes available again.

This is the point where you start moving the carriage. If the carriage hits the middle of the needle bed, the carriage picture is moved to the opposite side and the selection is advanced by one. The row counter field is incremented. After knitting the last row, the selection is set back to the first row.

You stop the knitting by either selecting a row (other than the currently selected row) or by pressing the Close button.

Last Modification: Jan 6, 2018 © 2002,2018 Computerservice SSHS BV.


DesignaKnit

The CB-2 package has 2 models: one with support for DesignaKnit and one without support for DesignaKnit. A CB-2 package without support for DesignaKnit can be upgraded later to a package with support for DesignaKnit.

The CB-2 with DesignaKnit option supports 2 functions of DesignaKnit:
- Download the design in Stitch Designer to the CB-2
- Interactive Knitting

Information about Download from DesignaKnit to the CB-2 you find in the topic "Browse DesignaKnit"

Information about Interactive Knitting you find in the topic "Interactive Knitting"

The Brotherlink 1, Brotherlink 5 and Brotherlink 1/5 USB are not supported on the FB port due to the limited FB100 support DesignaKnit provides for transfer of FB100 data.

Last Modification: Aug 15, 2018 © 2002,2018 Computerservice SSHS BV.


Configuration

The CB-2 with DesignaKnit option supports DesignaKnit using the C port of the CB-2 box. You can find the port number of the C port in the Configuration dialog. You find the Configuration dialog by pressing Help, Configuration on the menu of the Control Box 2 dialog.

Remember the number of the CB-2 C port as you need the port number to configure DesignaKnit.
Make sure the CB-2 A port is selected and press OK to continue CB-2 Utility.

DesignaKnit 7 knitting machine selection DesignaKnit 7 setup for Brother KH970

Above you see the configuration for DesignaKnit 7. After selecting the KH970 and pressing Setup, you get the setup dialog. You enter the port number and press OK to finish the configuration. You may have noticed that a new, lower port number is assigned to the DesignaKnit port. This is because DK7 doesn't support port numbers above 9. You can make this change, if needed, in Device Manager.

DesignaKnit 8 knitting equipment selection DesignaKnit 8 setup for Brother KH970

Above you see the configuration for DesignaKnit 8. After selecting the KH970 and pressing Setup, you get the setup dialog. You enter the port number and press OK to finish the configuration. You can also press Find Link to have DesignaKnit search for the port. Renumbering of the com port is not needed in case of DesignaKnit 8. The link type must be set to Magnetic switch link.

Last Modification: Aug 15, 2018 © 2002,2018 Computerservice SSHS BV.


Interactive Knitting

The CB-2 with DesignaKnit option supports DesignaKnit using the C port of the CB-2 box.

For Interactive Knitting, you no longer need the magnetic arm(s). The CB-2 signals DesignaKnit when the fabric row counter advances. The CB-2 C port is used for signalling DesignaKnit.

NOTE: make sure that the Row Counter Tripper presses the Row Counter Trigger when the carriage passes the Row Counter Trigger. DesignaKnit will not be able to report progress if the Row Counter Trigger is not pressed.

Information about configuration of DesignaKnit can be found in the Configuration topic.

DesignaKnit does NOT use the lace support provided by the CB-1 and CB-2. Specify the K carriage when you download a lace pattern obtained from DesignaKnit.

Last Modification: Dec 4, 2021 © 2002,2021 Computerservice SSHS BV.


Stocking Stitch

There are 2 methods for knitting stocking stitch in the CB-1 and CB-2:
1. download a pattern without selecting needles (KH970, 524 row 1 only); knit with Change Knob on the K carriage set to KC(I) or KC(II)
2. knit with Change Knob on the K carriage set to N.L.

Method 1 is the same as any pattern: the CB-2 signals DesignaKnit when the pattern/fabric row counter increments.

For method 2 there is a difference between the CB-1 and CB-2. On the CB-1 you use a magnetic switch link. The magnet on the carriage passing the knitlink box signals DesignaKnit that a row has been knitted. This functionality is provided by the magnetic switch link only; no action on the CB-1.
On the CB-2 you need to knit a pattern to activate the signalling to DesignaKnit. Here are the steps:
1. browse for KH970 pattern 183 (any pattern in the range 108-205 is usable)
2. select the K carriage if not already done
3. download the pattern
4. if you want to start knitting on the right side, tick the check box carriage Left
5. press OK button
6. after successful download, press the Knit button
7. click on the top row of the pattern (in case of 183, row 6 becomes blue)
8. tick the Stop check box (top row will be knitted continuously)
9. press Knit

At this point the CB-2 is ready to send signals to DesignaKnit.

Last Modification: Aug 15, 2018 © 2002,2018 Computerservice SSHS BV.


About CB-2 Utility

The About dialog of CB-2 Utility provides version information.

You can see above the version of CB-2 Utility.

The bottom field displays the version information for your version of Windows.

Last Modification: Dec 6, 2024 © 2002,2024 Computerservice SSHS BV.


Close

You close CB-2 Utility by pressing the Close button or clicking on the cross in the top right corner of the dialog box.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Create your own pattern

There are 2 ways to create a pattern:
- Someone else has created the pattern and produced a diagram of the pattern
- You have a picture or a photograph which needs digitizing

CB-2 Utility accepts Windows BMP files for knitting. CB-2 Utility considers every dot in the bitmap as a stitch. As a result you can use any graphics program to produce a pattern. For relatively small diagrams you can use Microsoft Paint. For pictures and photographs you need a sophisticated package like Paint Shop Pro or Photoshop. If you need to enter a large diagram, it is easier and faster to scan the diagram and use a sophisticated graphics program that can do color reduction and resolution reduction. Both above programs can do the job and there are most certainly more packages for this job.

CB-2 Utility also accepts text documents (TXT) for knitting. CB-2 utility considers every character on a line as a stitch. If you adhere to a couple of simple rules, you can enter a pattern with any software that can produce files with extension TXT. Microsoft Notepad is the simplest of these.
The plus of text documents is that you can also enter lace patterns.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Paint

CB-2 Utility accepts Windows BMP files for knitting. CB-2 Utility considers every dot in the bitmap as a stitch.
Patterns of size 25 by 25 or smaller can be entered without much effort very quickly with Microsoft Paint. The Duck25 is done with Microsoft Paint. Here are a few hints to make your life easy:
1. in Image, Attributes set Units to pixels.
2. in Image, Attributes set Width to the number of stitches.
3. in Image, Attributes set Height to the number of rows.
4. in View, Zoom set Zoom to 800%
5. in View, Zoom set Show Grid

Now you can see the pixels (stitches) and can fill them with the pencil.
If you copy a diagram from a magazine, you don't have to worry about color information as most of them are black and white. If you prefer two different colors, set the background to the main color and the pencil color to the contrast color. Don't worry to get the colors wrong way around. You can revert them in CB-2 Utility with the Negative option or the Exchange option. You don't have to worry about right or wrong side facing either as CB-2 Utility offers the option Reversed.

This also means that lettering is trivial. You can develop the pattern right side facing, where you knit it wrong side facing. Just turn on the Reversed option during download.

Above is a diagram done in color in minutes. CB-2 Utility will treat the duck above as a 3 color Jacquard.
Below is a diagram done in black and white using lettering in Microsoft Paint.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Notepad Color

CB-2 Utility accepts text documents (TXT) for knitting. CB-2 Utility considers every character on a line in the text document a stitch.
Patterns of size 25 by 25 or smaller can be entered without much effort very quickly with Microsoft Notepad. The Duck25 is done with Microsoft Notepad. There are 5 basic rules you need to adhere to:
  • The first line contains the word ControlBox2
  • All lines containing stitches are of equal length
  • You can use the digits 0 thru 9 to show a color, the first ten in the palette
  • The characters : ; < = > ? are the last six in the palette
  • You can add a comment by setting the first character of a line to % (Percent Sign)

Above is a diagram done in color in minutes. CB-2 Utility will treat the duck above as a 3 color Jacquard.
The contents of the text document is:

ControlBox2
%Duck25 created with Notepad
%23456789 123456789 12345
6666666666666666666666666
6000000000000000000000006
6000000000000000000000006
6000000000000000000000006
6000000444000000000000006
6000004444400000000000006
6000004044400000000004006
6000444444400000000044006
6000004444400444444444006
6000000044444444444444006
6000000044444444440444006
6000000444444444404440006
6000000440444444044440006
6000000444000000444400006
6000600444444444444000006
6006000444444444444000006
6006000044444444440000006
6000600000000000000000006
6000060000000000000000006
6006006666666666666000006
6000600000000000000000006
6000066666666600000000006
6000000000000000000000006
6000000000000000000000006
6666666666666666666666666
Hint: you can use a ruler like the comment line above for counting stitches. Multiple comment lines are allowed as shown above.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Notepad Color

Above is a diagram done in color in close to no time. CB-2 Utility will treat the diagram above as a 4 color Jacquard.

Below you see what needed to be entered for above design.

ControlBox2
$feeders
1443322222233441123400
5554433223344555523400
5554433223344555543200
6443322222233446643200
Note: the last 6 characters on the line are the color numbers.

Last Modification: Mar 14, 2019 © 2002,2019 Computerservice SSHS BV.


Notepad Lace

CB-2 Utility accepts text documents (TXT) for lace knitting. The rules for text documents apply, except that the character set is different. CB-2 Utility considers a text document a lace pattern if the pattern contains at least one lace symbol and if the pattern contains a lace symbol, all stitch characters must be lace symbols.

Above is a lace pattern done in minutes. CB-2 Utility will treat the pattern above as a simple lace pattern.
The contents of the text document is:

ControlBox2 % simple lace """""""""""" """""""""""" """"""""#)"" """""""""""" """""""""#)" """"""*#"""" """""""""""" """""""*#""" """""""""""" """""""""""" """#)""""""" """""""""""" """"#)"""""" "*#""""""""" """""""""""" ""*#"""""""" | ControlBox2 % simple lace """""""""""" """""""""""" """""""""""" """"""""#)"" """""""""""" """"""*#"#)" """""""""""" """""""*#""" """""""""""" """""""""""" """""""""""" """#)""""""" """""""""""" "*#"#)"""""" """""""""""" ""*#""""""""
Silver Reed | Brother
The table below shows the characters you can use for lace patterns.

Key | Picture | Name | Function
! |  | Exclamation Mark | Right side stitch
" |  | Quotation Mark | Wrong side stitch
# |  | Number Sign | Hole left by transferring a stitch
' |  | Apostrophe | Transfer stitch to the left
( |  | Left Parenthesis | Transfer stitch to the right
) |  | Right Parenthesis | End transfer stitches to the right
* |  | Asterisk | End transfer stitches to the left
/ |  | Solidus | Two stitches transferred to a single needle
± |  | Plus-Minus Sign | Fine lace transferred to the right
³ |  | Superscript Three | Fine lace transferred to the left

Hint for DesignaKnit users (with or without Lace module):
Type the word ControlBox2 and a new line. After that switch the font to Roosmalen1. You can now see the lace symbols you type; the word ControlBox2 is no longer readable. You can use the table above to find the key to use for a symbol.
The digits 0 thru 9 are still readable so you can create a ruler.
Fine lace is a Brother only feature. In case you cannot enter the characters via Alt+0177 (±) or Alt+0179 (³), you can also use the copy and paste facilities offered by Charmap (copy) and Notepad (paste). The characters are 0xB1 and 0xB3 respectively.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Notepad Separated

The txt format allows for entry of any pattern. This becomes handy when entering lace patterns. A row in a separated lace pattern represents one lace carriage pass. The passes of the main carriage (K) are not part of the pattern. The number of rows with the K carriage after a lace sequence is stored in the memo number for that row.

Design 970_168.txt shows an example of a separated normal lace design. The memo numbers can be included by adding a line with $memo before the first row of stitches. The memo number is stored as the last character of a row with stitches.

Both normal and fine lace designs can be digitised using the above notation.

Design 970_186.txt shows an example of a separated fine lace design.

For mixed lace designs the memo number specifies the type of lace or the number of rows to be knitted with the K carriage. The character for fine lace is semicolon (;); the character for normal lace is colon (:). The type of lace of a row with a numerical value is the same as the type of the preceding row.

Design 970_194.txt shows an example of a separated mixed lace design. The dark yellow stitches are the Fine lace stitches; the dark blue stitches are the Normal stitches. 970-194l.txt is the symbol version of pattern 194.

Last Modification: Jan 1, 2018 © 2002,2018 Computerservice SSHS BV.


Notepad Multiline

Lace designs are knitted as a number of carriage passes with the L carriage, followed by a number of passes with the K carriage. The K carriage passes are done with the Change Knob on the K carriage set to N-L. N-L knits tricot fabric.

Some lace designs require that a certain needle is transferred more than once in a set of lace carriage passes. Pattern 144 in Stitch World Pattern Book III is an example of such a pattern.

You have 2 options to enter such a pattern using multiline lace:

Last Modification: Jan 1, 2018 © 2002,2018 Computerservice SSHS BV.


Notepad Superimposed

Lace designs are knitted as a number of carriage passes with the L carriage, followed by a number of passes with the K carriage. The K carriage passes are done with the Change Knob on the K carriage set to N-L. N-L knits tricot fabric.

Some lace designs require that a certain needle is transferred more than once in a set of lace carriage passes. Pattern 144 in Stitch World Pattern Book III is an example of such a pattern.

In most cases you can enter such a pattern as superimposed lace:

There are patterns however that cannot be entered as Superimposed Lace:

Above pattern can be found in the book Brother Punch Card Pattern Vol.5, page 166 pattern 583.

Last Modification: Mar 8, 2018 © 2002,2018 Computerservice SSHS BV.


Stitch Painter Lace

For Stitch Painter Lace, you need to use the template provided in My Designs (Template.stc). Open Template.stc and save it under the name of your pattern.

An STC file is considered a lace pattern by CB-2 Utility if the file contains lace symbols only.
You find the lace symbols at the high end of the palette. You may not change the lace symbols themselves or change the order as results may become unpredictable.

Below you see a picture of a lace pattern in Stitch Painter.

Hint: set the zoom factor to 3 or 4 for better visibility. In above picture, the zoom factor is set to 3.

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Sample Patterns

The CB-2 installation program creates a folder named "My Designs" in your "My documents" folder. The "My Designs" folder contains three subfolders: CB-2, Superba and Silver Reed. The CB-2 folder contains various samples of patterns. Most of the patterns used in this help file can be found in the CB-2 folder. The patterns are organised in subfolders by extension.

In the Superba folder you will find the patterns for the various Superba machines.

Folder | Contents
Memo II | Patterns for Memo II
Pegboard | Patterns for Peg Board
Lightbox | Patterns for Light Box
624 | Patterns for MT624
9000 | Patterns for 9000

The "My Designs" folder also contains a subfolder Silver Reed. The Silver Reed folder contains the digitised mylar sheets for most Silver Reed electronic knitting machines.

Folder | Contents
AG | Sheets for AG50
EC1 | Sheets for EC1
Lace | Sheets for lace carriage
SK550-560 | Sheets for SK550 & SK560
SK580 | Sheets for SK580

Above folders contain subfolders for each sheet so you can match them easily with Silver Reed pattern books.

Last Modification: Mar 8, 2018 © 2002,2018 Computerservice SSHS BV.


Getting Started

Parts list
  1. CB-2 box
  2. CB-2 box
  3. Fixings
  4. USB cable
  5. Power supply + mains cord
  6. CD ROM with CB-2 Utility software and USB drivers

Software Installation

Note: INSTALL THE SOFTWARE BEFORE YOU CONNECT THE CB-2 BOX TO THE COMPUTER

  1. Put the CB-2 installation CD in the CD ROM drive
  2. The CB-2 installation program will start automatically
  3. When autorun is not enabled on your computer, look for the CD and double-click autoplay.exe in the root of the CD
  4. Follow the instructions on the screen; the InstallShield installation wizard will guide you through the process
Note 1: It is recommended to install CB-2 Utility in the suggested folder.

Hardware Installation

  1. Connect the B connector of the USB lead to the USB port on the CB-2
  2. Connect the A connector of the USB lead to a free USB port on your computer
  3. Check the green light to go on and the red/green light flash one time green/red
  4. Windows will indicate "New hardware found"
  5. Preferably let Windows search for the drivers
  6. If not found, tell Windows that the drivers are on the CD ROM
  7. If Windows indicates that the drivers are not compatible, press "Continue anyway"
  8. The USB Serial Converter is now installed
  9. Windows will indicate again "New hardware found"
  10. Preferably let Windows search for the drivers
  11. If not found, tell Windows that the drivers are on the CD ROM
  12. If Windows indicates that the drivers are not compatible, press "Continue anyway"
  13. The USB Serial port is now installed
  14. The installation has finished now
  15. On some systems a restart is required after the installation of the USB drivers

Last Modification: May 1, 2017 © 2002,2017 Computerservice SSHS BV.


Tips

While developing and testing CB-2 we ran into a number of problems that were at first far from obvious. The first thought is always: what did we wrong? In a couple of cases these problems had nothing to do with CB-2, but more with maintenance of the knitting machine.

Below you find a couple of subjects that may need your attention.

Power supply

The CB-2 box needs an external power supply of 12 Volt DC (1.5 Amp minimum ). A power supply is normally part of the package when delivered. If for some reason another power supply is used, make sure it is a regulated type and in the range 12 Volt, 1.5 Amp minimum. The connector should have the positive pole in the center. (The CB-2 box is protected against polarity reversal). Using a power supply with a higher output voltage can result in damage of the CB-2 box and/or the carriage. Using a power supply with lower voltage or insufficient current output can result in unpredictable errors in your knitting (intermittent wrong needle selection etc) or loss of communication with the CB-2 box.

Last Modification: Nov 1, 2017 © 2002,2017 Computerservice SSHS BV.


Comparison

There are a number of differences between DesignaKnit and CB-2 Utility as it comes to knitting a pattern. The table below shows most of these differences.

Topic | DesignaKnit | CB-2
Patterns |  |
Formats | STP, PAT | PAT, BPT, BMP, CST, CUT, PCX, STC, STB, DAT, STP, TXT, NIT, PBM, PGM, PPM, KSW, KSL, QPA, MT, MTF, PNG
Data entry of stitches | Pattern treated as a design | Pattern treated as a diagram
What you see on your computer | Right side facing | Wrong side facing
Automatic reversion | Yes | You determine at download time whether you want a pattern reversed
Variations | At design time | At download time
Knitting |  |
Row counter | Automatic | You can set the start value; counting is automatic.
After last row | Knitting stops | Continues with first row (Wrap)
Jacquard |  |
On screen presentation | Not separated | Separated
Separation | At design time; may need manual intervention | At download time; automatic
Number of colors | 2, 3, 4, 5 and 6 | 2 and 3
Use Fairisle as 2 color Jacquard | No; need to save as second pattern. | Yes
Use 2 color Jacquard as Fairisle | No; need to save as second pattern. | Yes
Lace support |  |
Included? | Optional | Yes
Yarn overs above each other | No | Yes
Yarn overs next to each other | No | Yes

Last Modification: Dec 15, 2024 © 2002,2024 Computerservice SSHS BV.


What if

In this topic you find a number of conditions and how to handle the situation.

Above picture shows all needles in upper working position except the two outer needles. The needle configuration is the result of a carriage pass using the lace carriage with the non-selection mechanism in working position. The factory setting of the non-selection mechanism is working position.

Case 1: What can be wrong in above situation is that there is no power at all applied to the needle bed (KM cord not (properly) connected to the CB-2).
Resolution 1: Make sure the KM cord is connected properly.

Case 2: Another way to get to above needle configuration is to start with the lace carriage inside the position sensors.
Resolution 2: The resolution is simple: always start with the lace carriage outside the position sensors. It is allowed to move the carriage outside the position sensors every row.

Case 3: We have identified a third case where the needle bed doesn't return appropriate signals in time. Extra delays occur when the CB-2 is connected to your computer via a USB hub. These delays can influence the timing inside the CB-2. This can cause a reset of the needle bed after which case two occurs if the carriage was inside the position sensors.

Above 2 messages can occur in case of communication problems occur between the needle bed and the CB-2.
The equivalent error on the CB-1 is: ERROR 6 CB-1 AND KM BODY ARE NOT CONNECTED.
The difference is that you have to turn the CB-1 off and on to fix the problem. The CB-2 will try to restart the communication.
Resolution 3: Consider if you can connect the CB-2 directly to your computer, eliminating the USB hub.
You can also press the Knit button again. The CB-2 and needle bed can recover from this situation.

Last Modification: Jan 4, 2018 © 2002,2018 Computerservice SSHS BV.


Messages

The messages given by CB-2 Utility are mostly self explanatory. The following message is a bit cryptic.

The reason why this message is cryptic is that you are not supposed to see this message in the first place and if you see this message, there is no other information available to explain what is going on. The message states that CB-2 Utility lost the connection with the CB-2. The reason shows why CB-2 Utility can no longer communicate with the CB-2 box. The last 4 digits of the reason indicate the error code returned by Windows, in the above case 5 or 6. Error code 5 means: access denied; error code 6 means: invalid handle. Both are not really useful.

The most common cause for above message is what is called "surprise removal".

Surprise removal is: disconnect the USB cable from the CB-2 box while communication with the CB-2 box was going on. Another way that a surprise removal may happen is a noisy USB network or interference by other software that tries to access the virtual com port.

The simplest resolution to get over the occurrence above is: exit CB-2 Utility (you may get a couple more "Lost communication..." messages), remove the USB cable from the CB-2 box, wait 10 seconds, reconnect the USB cable to the CB-2 box. The disconnect and reconnect may not be necessary.

In one case we have worked around the "surprise removal" problem by inserting a USB hub between the PC and the CB-2. If there is already a USB hub between the PC and the CB-2, removal of the USB hub may help.

Last Modification: Jan 10, 2018 © 2002,2018 Computerservice SSHS BV.


Dialog Manager

Dialog Manager is, as its name suggests, a package that manages dialogs. Dialog Manager makes the life of the Windows dialog programmer easier by taking away the boring Windows dialog hassle, enabling the programmer to concentrate on user functionality.

Dialog Manager also provides additional functionality on top of the Windows dialog functionality.
The visible additional features used in this application include:
  • Hatched buttons: a button is dependent on the contents of one or more fields, where the fields don't meet the expectations of the button. The user can click a hatched button to find out which fields don't meet the expectation of the button.
  • Field coloring: when a button has the focus, fields on which the button depends are colored to show the user that user action is required.
  • Propagation: when a row in a table is selected, the fields in the row are propagated into individual fields.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Introduction

A Dialog Manager application presents you with one or more dialogs.

Getting Help For a Dialog.

A dialog can contain:
  • Buttons
  • Single-line Fields
  • Multi-line Fields
  • TableBoxes
  • TickBoxes
You can use the mouse or the keyboard to navigate a dialog.

Access Keys

Scroll Bar

Initial Focus and Tab Order

Coloring

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Get Help For a Dialog

When the Dialog Manager presents you with a dialog, you can get help by pressing F1. This displays a dialog where you can choose (when available):
  • General displays this Help
  • Forms displays Help for the application
  • Field displays Help for the field that has the focus
You can also use the Forms key or Field key to go directly to the corresponding Help.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Buttons

A dialog normally contains an OK button, a Cancel button, and one or more action buttons.
You can 'press' a button with a mouse click or with the keyboard:
  • Pressing the Enter key is equivalent to pressing the default button, which is the button with a heavy dark border. The default button is the one that has the focus, or, if no button has the focus, the one set up as the default. The Dialog Manager makes the last button pressed the default.
  • Pressing the spacebar is equivalent to pressing whichever button has a dotted rectangle around its text label.
  • If a button's label contains an underlined character, pressing the Alt key together with that character's key is equivalent to pressing that button.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Fields

A single-line field is for display or entry of a character string. When a Dialog first displays, a field in which you can enter text is usually empty, but in some cases it contains default text.
When a field allows you to enter text, you can click to place the cursor within the existing text and use the keyboard to edit it. The Home key moves the cursor to the beginning of the string, and the End key moves it to the end. The Delete key deletes characters following the cursor, and the Backspace key deletes characters before the cursor.
You can highlight text by dragging the cursor across it. The Delete key deletes highlighted text, and typing new text replaces highlighted text.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Multi Line Fields

A multi-line field is for display or entry of a character string. When a Dialog first displays, a field in which you can enter text is usually empty, but in some cases it contains default text.
When a field allows you to enter text, you can click to place the cursor within the existing text and use the keyboard to edit it. The Home key moves the cursor to the beginning of the string, and the End key moves it to the end. The Delete key deletes characters following the cursor, and the Backspace key deletes characters before the cursor.
You can highlight text by dragging the cursor across it. The Delete key deletes highlighted text, and typing new text replaces highlighted text.
Pressing Control+Enter moves the cursor to a new line.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - TableBox

A TableBox displays a list of items. Scroll through the list using the scroll bar, and select an item in one of these ways:
  • double click on it
  • click on it and press Enter
  • use the arrow keys to highlight it, and press the spacebar
The colour of the table changes on mouse-up (when the focus changes) and on mouse-down (when the selection changes). You can deselect a row by pressing the Delete key.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - TickBox

A TickBox is used to enable or disable an option. The option is enabled when an X appears in the TickBox and disabled when the TickBox is empty.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Access Keys

An access key lets you use the keyboard to activate a single-line field, multi-line field, Button, TickBox, or TableBox in a dialog. When a character in the item's label is underlined, you can activate the item by pressing Alt together with the key corresponding to that character.

Last Modification: July 20, 2004 (c) Copyright 2004, Computerservice SSHS BV


Dialog Manager - Scrollbar

A scrollbar appears at the right or bottom edge of a TableBox or multi-line field when its contents are not completely visible. Each scroll bar contains two scroll arrows and a scroll box that enable you to scroll through the contents of the TableBox or field.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Initial Focus and Tab Order

When a control is active, it is said to have the focus, which means that you can act on it. For example, if a field has the focus, you can type in it.
You can use the Tab key to move the focus and activate controls in a dialog. The tab order is the order in which controls become active when you use Tab. Using Tab is particularly useful and natural for moving from one text field to another.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Coloring

Coloring or hatching of fields, tables, or buttons occurs when some action is required before a button can be pressed. Read-only fields that are dependent on an unsatisfied button are hatched whenever the button is grayed.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.